var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if (!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}
mui.init({
	swipeBack: true //启用右滑关闭功能
});
String.prototype.ToString = function(format) {
	var dateTime = new Date(parseInt(this.substring(6, this.length - 2)));
	format = format.replace("yyyy", dateTime.getFullYear());
	
	format = format.replace("yy", dateTime.getFullYear().toString().substr(2));
	format = format.replace("MM", dateTime.getMonth() + 1)
	format = format.replace("dd", dateTime.getDate());
	format = format.replace("hh", dateTime.getHours());
	format = format.replace("mm", dateTime.getMinutes());
	format = format.replace("ss", dateTime.getSeconds());
	format = format.replace("ms", dateTime.getMilliseconds())
	return format;
};

var vm = new Vue({
	el: '#wrap',
	data: {
		item: '',
		rolesList: [],
		roleObj: [],
		itemno: '', //编辑档案的id
		sectionList: '', //部门列表
		reg: /^1[345789]\d{9}$/,
		name: '',
		tel: '',
		sex: '',
		role_id: '', //角色
		user_id: '',
		user_pw: '888888',

		salary: '', //工资
		emp_in_date: '', //入职日期
		place: '', //籍贯
		address: '', //住址
		id: '', //身份证号
		education: '', //学历
		state: '', //在职状态
		remark: '', //备注,

		birth: '', //生日
		nation: '', //民族
		zipCode: '', //邮编
		Email: '', //电子邮件
		phone: '', //电话
		homePhone: '', //住宅电话

		flag: '',
		issysflag: ''

	},
	created: function() {
		this.rolesFn();
		this.itemFn();
	},
	mounted: function() {

		if (location.search != '') {
			var search = location.search.split('?')[1].split('&');
			this.itemno = search[0].split('=')[1];
			this.flag = search[1].split('=')[1];
			this.searchFn();
			if (this.flag == 2) {
				//查看
				mui('.mui-title')[0].innerText = '查看资料';
				var input = mui('input');
				mui.each(input, function(index, item) {
					item.setAttribute('readonly', 'readonly');
				})
				mui('.okBtn')[0].style.display = 'none';
			} else if (this.flag == 1) {
				mui('.mui-title')[0].innerText = '修改资料';
			}
		} else {
			mui('.mui-title')[0].innerText = '添加员工';
		}

	},
	methods: {
		itemFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/emp_info_api.aspx?cmd=2A', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.item = data.Body;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.itemFn();
					}
				}
			});
		},
		rolesFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/User/role_api.aspx?cmd=01', {
				data: '',
				dataType: 'json',
				type: 'GET',

				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.rolesList = data.list;

					mui.each(that.rolesList, function(index, item) {
						that.roleObj[index] = {
							value: item.basic.id,
							text: item.basic.name
						}
					})
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.rolesFn();
					}
				}
			});
		},
		telFn: function() {
			if (this.reg.test(this.tel) == false) {
				mui.alert('请输入正确的手机号', ' ', function() {}, 'div');
				return false;
			}
		},
		addDangan: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/emp_info_api.aspx', {
				data: {
					cmd: '02',
					item_no: '',
					emp_name: that.name,
					is_inner: '',
					is_salesman: '',
					is_deal: '',
					is_driver: '',
					is_cw: '',
					is_zk: '',
					is_serve: '',
					is_chef: '',
					emp_sex: that.sex,

					role_id: that.role_id,
					user_id: that.user_id,
					user_pw: that.user_pw,

					branch_no: '',
					emp_birth_flag: '', // 生日标识  0未知 1阳历 2阴历
					emp_birth: that.birth,
					py_code: '',
					emp_study: that.education,
					emp_nation: that.nation,
					emp_province: that.place,
					emp_in_date: that.emp_in_date,
					emp_gz_base: that.salary,
					emp_id_no: that.id,
					emp_address: that.address,
					emp_tel_home: that.homePhone,
					emp_tel: that.phone,
					emp_email: that.Email,
					tc_type: '',
					tc_award_no: '',
					emp_zip: that.zipCode,
					emp_memo: that.remark,
					emp_status: that.state,
					emp_bytxt1: '',
					emp_bytxt2: '',
					emp_bytxt3: '',
					emp_bynum1: '',
					emp_bynum2: '',
					emp_bynum3: '',
					lock_user: '',
					emp_mobil: that.tel
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						mui.later(function() {
							mui.openWindow({
								url: 'dangan.html',
								id: "dangan",
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						}, 500)
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.addDangan();
					}
				}
			});
		},
		//查询档案
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/emp_info_api.aspx?cmd=04&itemId=' + that.itemno, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
						for (var key in data.Body.item) {
							if (data.Body.item[key] == null || data.Body.item[key] == 'null') {
								data.Body.item[key] = '';
							}
						}
						that.issysflag = data.Body.item.issysflag;
						//角色
						mui.each(that.roleObj, function(index, item) {
							if (item.value == Number(data.Body.role_id)) {
								mui('.role')[0].value = item.text;
							}
						})

						if (data.Body.item.emp_sex == '0') {
							mui('#sexInp')[0].value = '女士';
						} else if (data.Body.item.emp_sex == '1') {
							mui('#sexInp')[0].value = '先生';
						}
						if (data.Body.item.emp_status == '1') {
							mui('.stateInp')[0].value = '在职';
						} else if (data.Body.item.emp_status == '0') {
							mui('.stateInp')[0].value = '离职';
						}
						if (data.Body.user_login_name.indexOf(that.item) != -1) {
							var index = data.Body.user_login_name.indexOf(that.item);
							that.user_id = data.Body.user_login_name.substring(0, index);

						} else {
							that.user_id = data.Body.user_login_name;
							mui('.item')[0].style.display = 'none';
						}
						that.role_id = data.Body.role_id;
						that.name = data.Body.item.emp_name;
						that.tel = data.Body.item.emp_mobil;
						that.sex = data.Body.item.emp_sex; //性别
						that.user_pw = data.Body.user_login_pwd;
						that.salary = data.Body.item.emp_gz_base || ''; //工资
						if (data.Body.item.emp_in_date != '') {
							var date = data.Body.item.emp_in_date;
							var dateTime = new Date(parseInt(date.substring(6, date.length - 2)));
							var month = dateTime.getMonth() + 1;
							that.emp_in_date = dateTime.getFullYear() + '-' + month + '-' + dateTime.getDate(); //入职日期

						}
						that.place = data.Body.item.emp_province; //籍贯
						that.address = data.Body.item.emp_address; //住址
						that.id = data.Body.item.emp_id_no; //身份证号
						that.education = data.Body.item.emp_study; //学历
						that.state = data.Body.item.emp_status; //在职状态
						that.remark = data.Body.item.emp_memo; //备注,
						if (data.Body.item.emp_birth_year == 0) {
							that.birth = '';
						} else {
							that.birth = data.Body.item.emp_birth_year + '-' + data.Body.item.emp_birth_month + '-' + data.Body.item.emp_birth_day ||''; //生日
						}

						that.nation = data.Body.item.emp_nation; //民族
						that.zipCode = data.Body.item.emp_zip; //邮编
						that.Email = data.Body.item.emp_email; //电子邮件
						that.phone = data.Body.item.emp_tel; //电话
						that.homePhone = data.Body.item.emp_tel_home; //住宅电话

					} else {
						mui.toast(data.msg);
					}
					mui('#warning')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		updateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/emp_info_api.aspx', {
				data: {
					cmd: '03',
					itemId: that.itemno,
					item_no: '',
					emp_name: that.name,
					is_inner: '',
					is_salesman: '',
					is_deal: '',
					is_driver: '',
					is_cw: '',
					is_zk: '',
					is_serve: '',
					is_chef: '',
					emp_sex: that.sex,
					role_id: that.role_id,
					user_id: that.user_id,
					user_pw: that.user_pw,
					branch_no: '',
					emp_birth_flag: '', // 生日标识  0未知 1阳历 2阴历
					emp_birth: that.birth,
					py_code: '',
					emp_study: that.education,
					emp_nation: that.nation,
					emp_province: that.place,
					emp_in_date: that.emp_in_date,
					emp_gz_base: that.salary,
					emp_id_no: that.id,
					emp_address: that.address,
					emp_tel_home: that.homePhone,
					emp_tel: that.phone,
					emp_email: that.Email,
					tc_type: '',
					tc_award_no: '',
					emp_zip: that.zipCode,
					emp_memo: that.remark,
					emp_status: that.state,
					emp_bytxt1: '',
					emp_bytxt2: '',
					emp_bytxt3: '',
					emp_bynum1: '',
					emp_bynum2: '',
					emp_bynum3: '',
					lock_user: '',
					emp_mobil: that.tel
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.updateFn();
					}
				}
			});
		}
	}
})

mui('#wrap').on('tap', '.mui-table-view-cell', function() {
	if (vm.flag != 2) {
		this.getElementsByTagName('input')[0].focus();
	}
})

//性别
mui('#wrap').on('tap', '.sex', function() {
	if (vm.flag != 2) {
		document.activeElement.blur();
		var picker = new mui.PopPicker();
		picker.setData([{
			value: '1',
			text: '先生'
		}, {
			value: '0',
			text: '女士'
		}]);
		picker.show(function(selectItems) {
			vm.sex = selectItems[0].value;
			mui('#sexInp')[0].value = selectItems[0].text;
		})
	}
})
//角色
mui('#wrap').on('tap', '.role', function() {
	if (vm.flag != 2) {
		document.activeElement.blur();
		var picker = new mui.PopPicker();

		picker.setData(vm.roleObj);
		picker.show(function(selectItems) {
			vm.role_id = selectItems[0].value;
			mui('.role')[0].value = selectItems[0].text;
		})
	}
})

//入职日期
mui('#wrap').on('tap', '#entry', function() {
	if (vm.flag != 2) {
		document.activeElement.blur();
		var dtPicker = new mui.DtPicker({
			type: 'date',
			beginDate: new Date(1700, 00, 01), //设置开始日期 
			endDate: new Date(2500, 12, 20), //设置结束日期 
		});
		dtPicker.show(function(selectItems) {
			vm.emp_in_date = selectItems.text;
		})
	}
})
//生日
mui('#wrap').on('tap', '.birth', function() {
	if (vm.flag != 2) {
		document.activeElement.blur();
		var dtPicker = new mui.DtPicker({
			type: 'date',
			beginDate: new Date(1700, 00, 01), //设置开始日期 
			endDate: new Date(2500, 12, 20), //设置结束日期 
		});
		dtPicker.show(function(selectItems) {
			vm.birth = selectItems.text;
		})
	}
})
//在职状态
mui('#wrap').on('tap', '.state', function() {
	if (vm.flag != 2) {
		document.activeElement.blur();
		var picker = new mui.PopPicker();
		picker.setData([{
			value: '1',
			text: '在职'
		}, {
			value: '0',
			text: '离职'
		}]);
		picker.show(function(selectItems) {
			vm.state = selectItems[0].value;
			mui('.stateInp')[0].value = selectItems[0].text;
		})
	}
})

//确定
mui('#wrap').on('tap', '.okBtn', function() {
	if (vm.flag != 2) {
		document.activeElement.blur();
		if (vm.role_id == '') {
			mui.toast('请选择角色');
			return;
		} else if (vm.user_id == '') {
			mui.toast('请输入登录账号');
			return;
		} else if (vm.user_pw == '') {
			mui.toast('请输入登录密码');
			return;
		} else if (vm.name == '') {
			mui.toast('请输入姓名');
			return;
		} else if ((vm.tel == '') || (vm.reg.test(vm.tel) == false)) {
			mui.toast('请输入正确的手机号码');
			return;
		} else if (vm.sex == '') {
			mui.toast('请选择性别');
			return;
		} else {
			if (vm.itemno == '') {
				vm.addDangan();
			} else {
				vm.updateFn();
			}
		}
	}
})

mui('#wrap').on('tap', 'input', function() {
	var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;
	window.onresize = function() {
		//软键盘弹起与隐藏  都会引起窗口的高度发生变化
		var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight;
		if (resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了
			mui('.okBtn')[0].style.display = 'none';
		} else {
			mui('.okBtn')[0].style.display = 'block';
		}
	}
	this.focus();
	setTimeout(function() {
		this.focus();
	}, 150);
})
