mui.init();
localStorage.removeItem('login');
localStorage.removeItem('op');
localStorage.removeItem('idArr');
localStorage.removeItem('numArr');
localStorage.removeItem('nameArr');
localStorage.removeItem('countArr');
localStorage.removeItem('priceArr');
localStorage.removeItem('selDesk1');

localStorage.removeItem('yudingNum');
localStorage.removeItem('tpNum');
localStorage.removeItem('eatDate');
localStorage.removeItem('payStyle');

localStorage.removeItem('deskName2');
localStorage.removeItem('deskName1');
localStorage.removeItem('deskid1');
localStorage.removeItem('deskid2');

var vm = new Vue({
	el: '#wrap',
	data: {
		bill_no: localStorage.getItem('bill_no'),
		deskid: '',
		list: '',
		order: '',
		length: '',
		item_no: '',
		isnet: '',
		payList:[]
	},
	beforeCreate: function() {
		mui('#warning')[0].style.display = 'block';
	},
	mounted: function() {
		if (localStorage.getItem('deskid') != null && localStorage.getItem('deskid') != '') {
			this.deskid = localStorage.getItem('deskid');
		}
		if (location.search != '' && location.search.indexOf('isnet') != -1) {
			this.isnet = 'true'
		} else [
			this.isnet = 'false'
		]
		if (localStorage.getItem('isnet') == 'true') {
			this.isnet = 'true'
		} else {
			this.isnet = 'false'
		}
		if (this.isnet == 'true') {
			this.isnetDetail();
		} else {
			this.detail();
		}
	},
	methods: {
		detail: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/GetDetailsNos?billno=' + that.bill_no + '&deskid=' + that.deskid, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
 
					if (data.code == '0000') {
						that.order = data.Body.order;
						that.list = data.Body.order.list;
						that.length = that.list.length;
						that.deskid = that.order.deskid;
						that.payList =  data.Body.order.付款记录;
						console.log(that.payList);
						if (that.order.bill_type != '堂食' || that.order.alldesk.length <= 1) {
							mui('.item')[0].classList.add('mui-hidden');
							mui('.allDesk')[0].classList.add('mui-hidden');
						}
						//如果已经结账或者是作废订单，隐藏底部操作
						if (that.order.bill_status == '已完成' || that.order.bill_status == '作废订单') {
							mui('#btns')[0].style.display = 'none';
						} else {
							mui('#btns')[0].style.display = 'flex';
						}

						mui.each(mui('.show'), function(index, item) {
							item.style.display = 'block';
						})
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.detail();
					}
				}
			});
		},
		isnetDetail: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/GetDetailsNos?billno=' + that.bill_no + '&deskid=' + that.deskid +
				'&isnet=1', {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
						'qrkey': localStorage["qrkey"] || ''
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.code == '0000') {
							that.order = data.Body.order;
							that.list = data.Body.order.list;
							that.length = that.list.length;
							that.payList =  data.Body.order.付款记录;
							console.log(that.payList);
							if (that.order.bill_status_code != '10') {
								mui('#btns')[0].style.display = 'none';
							} else {
								mui('#btns')[0].style.display = 'flex';
							}
							if (that.order.bill_status_code == '10') {
								// 只显示结账
								mui.each(mui('.hide'), function(index, item) {
									item.style.display = 'none';
								})
							}
							mui.each(mui('.show'), function(index, item) {
								item.style.display = 'block';
							})
						} else {
							mui.alert(data.msg, ' ', function() {}, 'div');
						}
					},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.isnetDetail();
						}
					}
				});
		},
		//加急
		jiajiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/Urgent?billno=' + that.bill_no + '&detailid=' + that.item_no, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == "0000") {
						mui.toast('操作成功');
						that.detail();
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.jiajiFn();
					}
				}
			});
		}
	}
})
mui('body').on('tap', '.caipin', function() {
	var lis = mui('#caipinList')[0].getElementsByTagName('li');

	if (this.className.indexOf('selected') == -1) {
		mui.each(lis, function(index, item) {
			item.classList.remove('selected');
		})
		this.classList.add('selected');
		vm.item_no = this.getAttribute('detailid');

	} else {
		this.classList.remove('selected');
		vm.item_no = 0;
	}

})
//点餐
mui('body').on('tap', '#diancai', function() {
	if (vm.order.bill_type == '堂食') {
		localStorage.setItem('op', 'dian');;
	} else {
		//外卖和预定的点餐
		localStorage.setItem('op', 'dian1');
	}
	localStorage.setItem('deskid', vm.deskid);
	mui.openWindow({
		url: 'index.html',
		id: 'index',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//结账
mui('body').on('tap', '#jiezhang', function() {
	// 判断是否需要找零
	if (vm.order.no_num_yen < 0) {
		mui.alert('无需结账，请联系服务员', ' ', function() {}, 'div');
		return;
	}


	if (vm.isnet == 'true') {
		mui.openWindow({
			url: 'jiezhang.html?bill_no=' + vm.bill_no + '&isnet=1',
			id: 'jiezhang',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	} else {
		mui.openWindow({
			url: 'jiezhang.html?bill_no=' + vm.bill_no,
			id: 'jiezhang',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	}
})
//加急
mui('body').on('tap', '#urgent', function() {
	if (vm.item_no) {
		vm.jiajiFn();
	} else {
		mui.alert('请选择菜品', ' ', function() {}, 'div');
	}
})
//登录
mui('#wrap').on('tap', '.login', function() {
	localStorage.setItem('bill_no', vm.bill_no);
	localStorage.setItem('deskid', vm.deskid);
	localStorage.setItem('login', 'detail');
	mui.openWindow({
		url: 'login.html',
		id: 'login',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})


mui('#wrap').on('tap', '#vip', function() {
	if (vm.order.vip_no == '') {
		localStorage.setItem('bill_no', vm.bill_no);
		localStorage.setItem('deskid', vm.deskid);
		localStorage.setItem('login', 'detail');
		mui.openWindow({
			url: 'login.html',
			id: 'login',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	} else {
		mui.alert('此订单已绑定会员', ' ', function() {}, 'div');
	}

})

//密码登录
mui('#wrap').on('tap', '#login', function() {
	var flag = true,
		account = mui('#account')[0].value,
		pwd = mui('#password')[0].value;
	document.activeElement.blur();
	if (account == '') {
		mui.toast('请输入用户名或手机号');
		flag = false;
		return;
	}
	if (pwd == '') {
		mui.toast('请输入密码');
		flag = false;
		return;
	}
	if (flag) {
		mui.ajax('http://dci.10le.cn/vip02/bymach?userid=' + account + '&pwd=' + pwd, {
			data: '',
			dataType: 'json',
			type: 'get',
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json',
				'qrkey': localStorage.getItem('qrkey')
			},
			success: function(data) {
				if (data.code == '0000') {
					localStorage["UserAuthorizationSign2"] = data.Body.sign;
					vm.getUser(2);
					mui('.middlePopover').popover('hide');
					mui.toast("登录成功");
				} else {
					mui.alert(data.msg, ' ', function() {}, 'div');
				}
			},
			error: function(xhr, type, errorThrown) {},
			complete: function(XMLHttpRequest, status) {
				if (status == 'timeout') {
					mui.alert('请求超时，请重新登录', ' ', function() {}, 'div');
				}
			}
		});
	} else {
		mui.toast('信息不完整，不能提交');
	}
})

//验证码登录
//获取验证码
mui('.mui-content').on('tap', '#getcode', getCode);

function getCode() {
	document.activeElement.blur();
	var yzTel = mui('#yzTel')[0].value,
		reg = /^1[345789]\d{9}$/;
	if (yzTel == '') {
		mui.toast('手机号不能为空');
		return;
	}
	if (reg.test(yzTel) == false) {
		mui.toast('请输入正确的手机号');
	} else {
		mui.post('http://dc.10le.cn/telcode.aspx?exe=login&tel=' + yzTel, function(data) {
			if (data == 'success') {
				mui.toast('发送短信成功');
				var a = 60;
				var timer = setInterval(function() {
					a = a - 1;
					mui('#getcode')[0].innerText = a + 's';
					mui('.mui-content').off('tap', '#getcode', getCode);
					mui('#getcode')[0].style.backgroundColor = '#d5d5d5';
					if (a <= 0) {
						window.clearInterval(timer);
						mui('#getcode')[0].style.backgroundColor = '#007aff';
						mui('#getcode')[0].innerText = '获取验证码';
						mui('#login-form2').on('tap', '#getcode', getCode);
					}
				}, 1000);
			} else {
				mui.toast(data);
			}
		});

	}
}

mui('#wrap').on('tap', '#tellogin', function() {
	var yzTel = mui('#yzTel')[0].value,
		code = mui('#yzm')[0].value;
	if (yzTel == '') {
		mui.toast('手机号不能为空');
		return;
	}
	if (code == '') {
		mui.toast('验证码不能为空');
		return;
	}
	if (yzTel != '' && code != '') {
		mui.get('http://dc.10le.cn/boss/api/login.aspx?type=1', {
			tel: yzTel,
			code: code
		}, function(data) {
			var data = JSON.parse(data);
			if (data != null && data.code == "0001") {
				mui.alert(data.msg, ' ', function() {}, 'div');
				return;
			}
			if (data == null || data.code != "0000" || data.Body == null) {
				mui.alert("登录失败", ' ', function() {}, 'div');
				return;
			}
			localStorage["UserAuthorizationSign2"] = data.Body.sign;
			vm.getUser(2);
			mui('.middlePopover').popover('hide');
			mui.toast("登录成功");
		});
	}
})

//mui.back = function() {
//	if(document.referrer.indexOf('index.html') != -1) {
//		localStorage.removeItem('bill_no');
//		localStorage.removeItem('deskid');
//		localStorage.removeItem('deskName');
//		mui.openWindow({
//			url: 'index.html',
//			id: 'index',
//			createNew: true,
//			styles: {
//				cachemode: "noCache"
//			}
//		})
//	} else {
//		mui.openWindow({
//			url: 'consume.html',
//			id: 'consume'
//		})
//
//	}
//}

mui('.middlePopover').on('tap', '.cancelLogin', function() {
	mui('.middlePopover').popover('hide');
})

//切换桌台信息
mui('body').on('tap', '.seeDetail', function() {
	vm.deskid = this.getAttribute('deskid');
	vm.detail();
})

// mui-icon-contact
mui('header').on('tap', '.mui-icon-contact', function() {
	// localStorage.removeItem('bill_no');
	// localStorage.removeItem('deskid');

	if (localStorage.getItem('UserAuthorizationSign2') == null) {
		mui.openWindow({
			url: 'login.html',
			id: 'login',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	} else {
		mui.openWindow({
			url: 'main.html',
			id: 'main',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	}
})
