mui.init();

var vm = new Vue({
	el: '#wrap',
	data: {
		deskList: ''
	},
	created: function() {
		this.getDesk();
	},
	methods: {
		getDesk: function() {
			var that = this;
			//获取桌子
			mui.ajax('http://dci.10le.cn/Vip02/desktree', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					that.deskList = data.Body.cq_list;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getDesk();
					}
				}
			});
		}
	}
})

var list = mui('#list')[0];
mui('.mui-indexed-list-inner').on('change', 'input', function() {
	if (localStorage.getItem('selDesk1') == 'tangshi') {
		localStorage.setItem('deskName1', this.getAttribute('deskName'));
		localStorage.setItem('deskid1', this.getAttribute('deskid'));
	} else if (localStorage.getItem('selDesk1') == 'shop') {
		localStorage.setItem('deskName2', this.getAttribute('deskName'));
		localStorage.setItem('deskid2', this.getAttribute('deskid'));
	}

	mui.openWindow({
		url: 'eatStyle.html',
		id: 'eatStyle',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})

})
