(function($, doc) {
	$.init({
		statusBarBackground: '#f7f7f7'
	});
	//登录切换
	mui('#phoneLogin')[0].classList.add('mui-hidden');
	mui('.loginSelect').on('tap', '.numberLogin', function() {
		this.style.borderBottomWidth = '1px';
		document.getElementsByClassName('phoneNumber')[0].style.borderBottomWidth = '0px';
		mui('#login-form')[0].classList.remove('mui-hidden');
		mui('#phoneLogin')[0].classList.add('mui-hidden');

	})
	mui('.loginSelect').on('tap', '.phoneNumber', function() {
		this.style.borderBottomWidth = '1px';
		document.getElementsByClassName('numberLogin')[0].style.borderBottomWidth = '0px';
		mui('#login-form')[0].classList.add('mui-hidden');
		mui('#phoneLogin')[0].classList.remove('mui-hidden');

	})

	//提交时校验input均不能为空，若为空则提醒并终止业务逻辑运行，使用each()方法循环校验，如下：
	//账号登录
	$('.mui-content-padded').on('tap', '#login', function() {
		var check = true,
			that = this;
			var checkeds=$('.checkeds')[0].checked;
			if(!checkeds){
				$.alert("请阅读并同意《用户协议》与《隐私政策》", ' ', function() {
				
				}, 'div');
				check = false;
				return false;
			}
		$("#login-form input").each(function() {
			//若当前input为空，则alert提醒
			if(!this.value) {
				var label = this.previousElementSibling;
				$.alert(label.innerText + "不允许为空", ' ', function() {

				}, 'div');
				check = false;
				return false;
			}
		});
		
		//校验通过，继续执行业务逻辑
		if(check) {
			document.activeElement.blur();
			var waring = mui('#warning')[0];
			$(that).button('loading'); //切换为loading状态
			$.ajax('http://dc.10le.cn/boss/api/login.aspx', {
				data: "type=0&userid=" + $('#account')[0].value + "&pwd=" + $('#password')[0].value,
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
					$(that).button('reset');
					if(data != null && data.code == "0001") {
						$.alert(data.msg, ' ', function() {}, 'div');
						return;
					}
					if(data == null || data.code != "0000" || data.Body == null) {
						$.alert("登录失败", ' ', function() {}, 'div');
						return;
					}
					var arr = data.Body.sign.split('|');
					localStorage["UserAuthorizationSign"] = encodeURI(arr[0]) + '|' + arr[1];
					localStorage["sign"] = encodeURI(arr[0]) + '|' + arr[1];
					//登录成功之后查询此账号下是否有店铺名称和联系电话
					getInfo();
				},
				error: function(xhr, type, errorThrown) {
					$(that).button('reset');
				},
				complete: function(XMLHttpRequest, status) {
					$(that).button('reset');
					if(status == 'timeout') {
						mui.toast('请求超时，请重新登录');
					}
				}
			});
		}

	})

	//手机号码登录
	//获取验证码
	mui('#phoneLogin').on("tap", '.getCode', getCode);
	document.getElementById('numerLogin').addEventListener('tap', function() {
		var that = this;
		var checkeds=$('.checkeds')[0].checked;
		if(!checkeds){
			$.alert("请阅读并同意《用户协议》与《隐私政策》", ' ', function() {
			
			}, 'div');
			check = false;
			return false;
		}
		if($('#phoneNumber')[0].value == '' || $('#code')[0].value == '') {
			$.alert('请输入手机号码或验证码', ' ', function() {}, 'div');
		} else {
			document.activeElement.blur();
			$(that).button('loading'); //切换为loading状态
			$.ajax('http://dc.10le.cn/boss/api/login.aspx?type=1&tel=' + $('#phoneNumber')[0].value + '&code=' + $('#code')[0].value, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
					if(data.code == '0000') {
						var arr = data.Body.sign.split('|');
						localStorage["UserAuthorizationSign"] = encodeURI(arr[0]) + '|' + arr[1];
						localStorage["sign"] = encodeURI(arr[0]) + '|' + arr[1];
						//登录成功之后查询此账号下是否有店铺名称和联系电话
						getInfo();
					} else {
						mui.toast(data.msg);
					}
					$(that).button('reset'); //切换为loading状态
				},
				error: function(xhr, type, errorThrown) {
					$(that).button('reset'); //切换为loading状态
				},
				complete: function(XMLHttpRequest, status) {
					$(that).button('reset');
					if(status == 'timeout') {
						mui.toast('请求超时，请重新登录');
					}
				}
			});
		}
	})

	//获取验证码
	function getCode() {
		document.activeElement.blur();
		var number = $('#phoneNumber')[0].value;
		if(number) {
			if(number.length != 11) {
				$.alert('手机号码格式错误！', ' ', function() {}, 'div');
			} else {

				mui.get('http://dc.10le.cn/telcode.aspx?exe=login&tel=' + number, {}, function(data) {
					//获得服务器响应
					if(data == 'success') {
						mui.toast('短信发送成功');
						var a = 60;
						var timer = setInterval(function() {
							a = a - 1;
							$('.getCode')[0].innerText = a + '秒';
							$('#phoneLogin').off('tap', '.getCode', getCode);
							$('.getCode')[0].style.backgroundColor = '#e8e8e8';
							$('.getCode')[0].style.color = '#7d7d7d';
							if(a <= 0) {
								window.clearInterval(timer);
								$('.getCode')[0].style.backgroundColor = '#007aff';
								$('.getCode')[0].style.color = 'white';
								$('.getCode')[0].innerText = '点击获取';
								$('#phoneLogin').on('tap', '.getCode', getCode);
							}
						}, 1000);
					} else {
						mui.toast(data);
					}
				});
			}
		} else {
			$.alert('请输入手机号码', ' ', function() {}, 'div');
		}
	}

	//忘记密码
	$('.link-area').on('tap', '#forgetPassword', function() {
		$.openWindow({
			url: "pages/forget_password.html",
			id: "forget_password",
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	})
	//check取值
	// var checkeds='false';
	// $('body').on('change', '.checkeds', function() {  
	//   checkeds = this.checked?"true":"false"; 
	// });  
	//注册账号
	$('.link-area').on('tap', '#reg', function() {
		$.openWindow({
			url: "pages/reg.html",
			id: "reg",
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	})
}(mui, document));

//退出程序
var first = null;
mui.back = function() {
	if(!first) {
		first = new Date().getTime();
		mui.toast('再按一次退出应用');
		setTimeout(function() {
			first = null;
		}, 2000);
	} else {
		if(new Date().getTime() - first < 2000) {
			plus.runtime.quit();
		}
	}
};

//查询登录的账号有没有店铺名称
function getInfo() {
	mui.ajax('http://dc.10le.cn/boss/api/index.aspx?cmd=index', {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 100000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
		},
		success: function(data) {
			if(data.code == '0000') {
				if(data.Body.shopName == '') {
					mui.openWindow({
						url: 'pages/shop.html',
						id: 'shop',
						createNew: true,
						styles: {
							cachemode: "noCache"
						}
					});
				} else {
					mui.openWindow({
						url: 'pages/index.html',
						id: 'index',
						createNew: true,
						styles: {
							cachemode: "noCache"
						}
					});
				}
			} else {
				mui.toast(data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {},
		complete: function(XMLHttpRequest, status) {
			if(status == 'timeout') {
				getInfo();
			}
		}
	});
}