mui.init();
var UserAuthorizationSign2 = localStorage.getItem('UserAuthorizationSign2');
if (!UserAuthorizationSign2) {
	mui.openWindow({
		url: "shop.html",
		id: "shop",
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
}
localStorage.removeItem('deskid');
localStorage.removeItem('deskName');
localStorage.removeItem('bill_no');
localStorage.removeItem('idArr');
localStorage.removeItem('numArr');
localStorage.removeItem('nameArr');
localStorage.removeItem('countArr');
localStorage.removeItem('priceArr');
localStorage.removeItem('selAddress')

mui('body').on('tap', '.skip', function() {
	mui.openWindow({
		url: this.href,
		id: this.href,
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
});
// youhui
mui('body').on('tap', '.youhui', function() {
	mui.openWindow({
		url: 'coupon.html',
		id: 'coupon',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
});
mui('body').on('tap', '.yueFlow', function() {
	mui.openWindow({
		url: 'yueFlow.html',
		id: 'yueFlow',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
});


mui('body').on('tap', '#myIntrgral', function() {
	mui.openWindow({
		url: 'myIntrgral.html',
		id: 'myIntrgral',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

var vm = new Vue({
	el: '#wrap',
	data: {
		info: '',
		text: '',
		noNum: 0,
		// 判断是在微信还是支付宝
		browser: navigator.userAgent.toLowerCase(),
		browserName: '',
		re: ''
	},
	created: function() {
		if (this.browser.match(/Alipay/i) == "alipay") {
			this.browserName = '支付宝';
		} else if (this.browser.match(/MicroMessenger/i) == "micromessenger") {
			this.browserName = '微信';
		}
		this.shopInfo();

	},
	mounted: function() {
		this.getName();
		this.getInfo();

	},
	methods: {
		getInfo: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/info', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {
						that.info = data.Body;
						mui('.center')[0].style.display = 'block';
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getInfo();
					}
				}
			});
		},
		getName: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/text', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {
						that.text = data.Body;
						mui('#name')[0].innerText = data.Body.姓名;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getName();
					}
				}
			});
		},
		changImgFn: function(base64) {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx', {
				data: {
					cmd: '06',
					base64: base64
					//  mui('#baseImg')[0].value
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0001') {
						mui.toast(data.msg);
					} else {
						mui.toast('上传成功');
						that.getName();
						mui('.newImg')[0].style.display = 'none';
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.changImgFn(base64);
					}
				}
			});
		},
		//未读信息数
		notSee: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/sys/sys_message_vip_api.aspx?cmd=012', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.noNum = data.Body.n;
						if (that.noNum == 0) {
							mui('.noNum')[0].style.display = 'none';
						} else {
							mui('.noNum')[0].innerText = that.noNum;
							mui('.noNum')[0].style.display = 'inline';
						}
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.notSee();
					}
				}
			});
		},
		shopInfo: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/store/storeinfo_vip_api.aspx?cmd=04', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {
						that.shopInfo = data.Body.item;
					} else {
						mui.toast(data.mag);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.shopInfo();
					}
				}
			});
		}
	}
})
// 扫码点餐
mui('#wrap').on('tap', '.sys', function() {
	mui.alert('请返回' + vm.browserName + '扫一扫进行点餐', ' ', function() {}, 'div');
})
//退出登录
mui('#wrap').on('tap', '.loginOut', function() {
	localStorage.removeItem('UserAuthorizationSign2');
	mui.openWindow({
		url: 'shop.html',
		id: 'shop',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})

//点击头像
mui('.top').on('tap', 'img', function() {
	mui('#picture').popover('show');
	mui('#fileclick')[0].value = '';
})
mui('#picture').on('tap', '#changeImg', function() {
	mui('#picture').popover('hide');
	mui('#fileclick')[0].click();
	return false;
})
mui('#picture').on('tap', '.cancel', function() {
	mui('#picture').popover('hide');
	return false;
})
mui('.newImg').on('tap', '.close', function() {
	mui('.newImg')[0].style.display = 'none';
})
mui('.newImg').on('tap', '.ok', function() {
	// vm.changImgFn();
	canvasDataURL(vm.re, 300);
})
mui('.top').on('change', '#fileclick', function() {
	var obj = this.files[0];
	photoCompress(obj);
})


function photoCompress(file) {
	var ready = new FileReader();
	/*开始读取指定的Blob对象或File对象中的内容. 当读取操作完成时,readyState属性的值会成为DONE,如果设置了onloadend事件处理程序,则调用之.同时,result属性中将包含一个data: URL格式的字符串以表示所读取文件的内容.*/
	ready.readAsDataURL(file);
	ready.onload = function() {
		var re = this.result;
		vm.re = re;
		mui('.yulan')[0].setAttribute('src', re);
		mui('#baseImg')[0].value = re;
		mui('.newImg')[0].style.display = 'flex';
	}
}

function canvasDataURL(re, w) {
	var newImg = new Image();
	newImg.src = re;
	var imgWidth, imgHeight, offsetX = 0,
		offsetY = 0;
	newImg.onload = function() {
		var img = document.createElement("img");
		img.src = newImg.src;
		imgWidth = img.width;
		imgHeight = img.height;
		var canvas = document.createElement("canvas");
		canvas.width = w;
		canvas.height = w;
		var ctx = canvas.getContext("2d");
		ctx.clearRect(0, 0, w, w);
		if (imgWidth > imgHeight) {
			imgWidth = w * imgWidth / imgHeight;
			imgHeight = w;
			offsetX = -Math.round((imgWidth - w) / 2);
		} else {
			imgHeight = w * imgHeight / imgWidth;
			imgWidth = w;
			offsetY = -Math.round((imgHeight - w) / 2);
		}
		ctx.drawImage(img, offsetX, offsetY, imgWidth, imgHeight);
		var base64 = canvas.toDataURL("image/jpeg", 0.7);
		vm.changImgFn(base64);
	}

}
