mui.init({
	swipeBack: true
})
String.prototype.ToString = function(format) {
	var dateTime = new Date(parseInt(this.substring(6, this.length - 2)));
	format = format.replace("yyyy", dateTime.getFullYear());
	format = format.replace("yy", dateTime.getFullYear().toString().substr(2));
	format = format.replace("MM", dateTime.getMonth() + 1)
	format = format.replace("dd", dateTime.getDate());
	return format;
};

var vm = new Vue({
	el: "#wrap",
	data: {
		itemno: '',
		typeList: '',
		vipList: [],
		jfFlow: [],
		attrList: '',
		stateList: [],
		exGoodList: [],
		exQuanList: [],
		ywList: [], //业务员列表
		businessInfo: '',
		payStyleList: [{
			value: '01',
			text: '现金'
		}, {
			value: '42',
			text: '微信支付'
		}, {
			value: '41',
			text: '支付宝'
		}, {
			value: '22',
			text: '支票支付'
		}, {
			value: '23',
			text: '银联卡支付'
		}], //支付方式
		payStyle2: [{
			value: '01',
			text: '现金'
		}, {
			value: '41',
			text: '支付宝'
		}, {
			value: '42',
			text: '微信支付'
		}, {
			value: '10',
			text: '会员支付'
		}, {
			value: '11',
			text: '会员欠款'
		}, {
			value: '12',
			text: '会员赠额支付'
		}, {
			value: '13',
			text: '会员返利支付'
		}, {
			value: '14',
			text: '会员零钱支付'
		}, {
			value: '21',
			text: '优惠券支付'
		}, {
			value: '22',
			text: '支票支付'
		}, {
			value: '23',
			text: '银联卡支付'
		}, {
			value: '25',
			text: '客户挂帐'
		}],
		yeList: [], //余额流水
		consumeList: [], //消费流水
		rechargeList: [], //充值流水
		giveList: [], //赠送流水
		jifenList: [], //积分流水
		page: 1,
		page1: 1,
		page2: 1,
		page3: 1,
		page4: 1,
		page5: 1,
		page_: 1,

		reg: /^1[345789]\d{9}$/,
		//添加
		cardno: '', //会员卡号
		vip_dispno: '', //会员编号
		vip_name: "", //姓名
		vip_pycode: '', //拼音简码
		vip_mobil1: '', //手机号码
		vip_userid: '', //登录账号
		vip_pwd: '', //会员密码
		//		init_total_amt: '', //初始消费额
		init_integral: '0', //初始积分额
		init_money_amt: '0', //初始余额
		ctrl_valid: 1, //有效期
		vip_end_date: '', //有效期至
		vip_credit_amt: '0', //欠款额度
		init_balance_amt: '0', //欠款金额
		vip_birth_flag: '', //生日标识
		vip_birth: '', //会员生日
		vip_qq: '', //会员qq
		vip_tel: '', //电话
		vip_mobil2: '', //备用电话
		vip_sex: '', //性别
		vip_fax: '', //会员传真
		vip_id: '', //身份证号
		vip_address: '', //会员地址
		vip_attribute_no: '', //会员属性
		vip_status: '2', //状态 
		vip_adviser_man: '', //会员顾问
		intro_vip_no: '', //推荐会员
		vip_like_memo: '', //会员喜好
		vip_dislike_memo: '', //会员忌讳
		baby1_name: '', //宝宝姓名
		recom_vip_no: '', //引荐会员
		baby1_birth_flag: '', //宝宝生日标识
		baby1_birth: '', //宝宝生日
		vip_memo: '', //备注
		viptype_no: '', //会员类别
		vip_fy_amt: '0', //工本费

		nowYue: '', //会员当前余额
		nowJifen: '', //会员当前积分

		//会员转账
		turnvip: '',
		truned2: 0,
		turnprice2: '',
		memo2: '',

		//搜索会员
		sviptype_no: '',
		vipkeys: '',

		//会员充值
		czje: '', //充值金额·
		dzje: '', //到账金额
		deal_man: '', //经办人
		czbz: '', //备注
		pay_way: '', //支付方式
		czList1: [], //充值赠送方案
		czList2: [], //充值赠送礼品
		id1: '',
		id2: '',
		id3: '',

	    //余额扣除
		kcje: '', //扣除金额·
		deal_man: '', //经办人
		kcbz: '', //扣除备注

		//余额清零
		qlmemo: '',

		//积分加减
		jjjf: '',
		jfmemo: '',

		qlyf: '',
		clmemo: '',

		//积分兑换商品
		idArr: [],
		numArr: [],
		jifenArr: [],
		putNum: 0,
		putJifen: 0,

		idArr2: [],
		numArr2: [],
		jifenArr2: [],
		quanArr: [],
		putJifen2: 0,
		putQuan: 0,

		//会员交费
		jfje: '', //缴费金额·
		pay_way2: '', //方式
		sfje: '', //实付金额
		jfmemo: '', //交费备注
		enddate: '', //当前有效期至
		yqdate: '', // 延期至
		nowDate: '',
		power: ''

	},
	mounted: function() {


		if (location.search != '') {
			this.itemno = location.search.split('?')[1].split('=')[1];
			this.searchFn();
			this.businessFn();
			this.nowYeFn();
			this.nowJifenFn();
			this.vipFn();
			this.exQuanFn();
			this.exGoodFn();
			this.nowDateFn();
			this.vipJiaoListFn();
			mui('.mui-title')[0].innerText = '编辑资料';
			var screenH = window.screen.availHeight;
			mui.each(mui('.setHeight'), function(index, item) {
				item.style.height = screenH - 150 + 'px';
			})
			mui.each(mui('.readInp'), function(index, item) {
				item.setAttribute('readonly', 'readonly');
			})
			this.pay_way = this.payStyleList[0].value;
			mui('#payStyle16')[0].value = this.payStyleList[0].text;
			this.pay_way2 = this.payStyle2[0].value;
			mui('#payStyle')[0].value = this.payStyle2[0].text;
			mui('#wrap').off('tap', '.ctrlValid', ctrlValidFn);
			mui('#wrap').off('tap', '.vip_end_date', endDateFn);
		} else {
			mui('.mui-title')[0].innerText = '添加会员';
			mui('.ctrl_valid')[0].value = '永久有效';
			//有效期
			mui('#wrap').on('tap', '.ctrlValid', ctrlValidFn);
			mui('#wrap').on('tap', '.vip_end_date', endDateFn);
		}


		if (localStorage.getItem('vipPower') != undefined) {
			this.power = localStorage.getItem('vipPower');
			localStorage.removeItem('vipPower');

		}

		this.stateList = [{
			value: '0',
			text: '退卡'
		}, {
			value: '1',
			text: '新卡'
		}, {
			value: '2',
			text: '正常'
		}, {
			value: '3',
			text: '挂失'
		}, {
			value: '4',
			text: '冻结'
		}]
		this.typeListFn();
		this.attrListFn();
		this.ywFn();
	},
	methods: {
		telFn: function() {
			if (this.reg.test(this.vip_mobil1) == false) {
				mui.alert('请输入正确的手机号', ' ', function() {}, 'div');
				return;
			}
		},
		ywFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/default/emp', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui.each(data.Body, function(index, item) {
						that.ywList[index] = {
							value: item.emp_id,
							text: item.emp_name
						}
					})
					if (that.itemno != '' && that.ywList.length > 0) {
						that.deal_man = that.ywList[0].value;
						mui('#deal_man')[0].value = that.ywList[0].text;
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.ywFn();
					}
				}
			})
		},
		//查询详情
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx?cmd=04&itemId=' + that.itemno, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					for (var i in data.Body.item) {
						if (data.Body.item[i] == null || data.Body.item[i] == 'null') {
							data.Body.item[i] = '';
						}
					}
					//会员图片
					if (data.Body.imgs.length != 0) {
						mui('#portrait')[0].setAttribute('src', data.Body.imgs[0]);
					}
					mui.later(function() {
						mui.each(that.attrList, function(index, item) {
							if (data.Body.item.vip_attribute_no == item.basic.vip_attribute_no) {
								mui('#attr')[0].value = item.basic.vip_attribute_name;
							}
						})
					}, 100)
					//性别
					if (data.Body.item.vip_sex == '0') {
						mui('#sexInp')[0].value = '女';
					} else if (data.Body.item.vip_sex == '1') {
						mui('#sexInp')[0].value = '男';
					}

					//有效期
					if (data.Body.item.ctrl_valid == '0') {
						mui('.ctrl_valid')[0].value = '指定有效期';
						mui('.vip_end_date')[0].style.display = 'block';

					} else if (data.Body.item.ctrl_valid == '1') {
						mui('.ctrl_valid')[0].value = '永久有效';
						mui('.vip_end_date')[0].style.display = 'none';
					}
					//生日标识
					if (data.Body.item.vip_birth_flag == '0') {
						mui('.vip_birth_flag')[0].value = '未知';
					} else if (data.Body.item.vip_birth_flag == '1') {
						mui('.vip_birth_flag')[0].value = '阳历';
					} else {
						mui('.vip_birth_flag')[0].value = '阴历';
					}
					//宝宝生日标识
					if (data.Body.item.baby1_birth_flag == '0') {
						mui('#baby1Birthflag')[0].value = '未知';
					} else if (data.Body.item.baby1_birth_flag == '1') {
						mui('#baby1Birthflag')[0].value = '阳历';
					} else {
						mui('#baby1Birthflag')[0].value = '阴历';
					}
					//状态
					mui.each(that.stateList, function(index, item) {
						if (data.Body.item.vip_status == item.value) {
							mui('#vipState')[0].value = item.text;
						}
					})
					//有效期
					if (data.Body.item.ctrl_valid == '1' || data.Body.item.vip_end_date == null || data.Body.item.vip_end_date ==
						'') {
						that.vip_end_date = '';
					} else {
						that.vip_end_date = data.Body.item.vip_end_date.ToString("yyyy-MM-dd");
					}
					that.cardno = data.Body.item.card_no; //会员卡号
					that.ip_dispno = data.Body.item.vip_dispno; //会员编号
					that.vip_name = data.Body.item.vip_name; //姓名
					that.vip_pycode = data.Body.item.vip_pycode; //拼音简码
					that.vip_mobil1 = data.Body.item.vip_mobil1; //手机号码
					that.vip_userid = data.Body.item.vip_userid; //登录账号
					that.vip_pwd = data.Body.item.vip_pwd; //会员密码
					//					that.init_total_amt = data.Body.item.init_total_amt; //初始消费额
					that.init_integral = data.Body.item.init_integral; //初始积分额
					that.init_balance_amt = data.Body.item.init_balance_amt; //欠款金额
					that.ctrl_valid = data.Body.item.ctrl_valid; //有效期
					//					that.vip_end_date = data.Body.item.vip_end_date; //有效期至
					that.vip_credit_amt = data.Body.item.vip_credit_amt; //欠款额度
					that.init_money_amt = data.Body.item.init_money_amt; //初始余额
					that.vip_birth_flag = data.Body.item.vip_birth_flag; //生日标识
					that.vip_birth = data.Body.item.vip_birth; //会员生日
					that.vip_qq = data.Body.item.vip_qq; //会员qq
					that.vip_tel = data.Body.item.vip_tel; //电话
					that.vip_mobil2 = data.Body.item.vip_mobil2; //备用电话
					that.vip_sex = data.Body.item.vip_sex; //性别
					that.vip_fax = data.Body.item.vip_fax; //会员传真
					that.vip_id = data.Body.item.vip_id; //身份证号
					that.vip_address = data.Body.item.vip_address; //会员地址
					that.vip_attribute_no = data.Body.item.vip_attribute_no; //会员属性
					that.vip_status = data.Body.item.vip_status; //状态 
					that.vip_adviser_man = data.Body.item.vip_adviser_man; //会员顾问
					that.intro_vip_no = data.Body.item.intro_vip_no; //推荐会员
					that.vip_like_memo = data.Body.item.vip_like_memo; //会员喜好
					that.vip_dislike_memo = data.Body.item.vip_dislike_memo; //会员忌讳
					that.baby1_name = data.Body.item.baby1_name; //宝宝姓名
					that.recom_vip_no = data.Body.item.recom_vip_no; //引荐会员
					that.baby1_birth_flag = data.Body.item.baby1_birth_flag; //宝宝生日标识
					that.baby1_birth = data.Body.item.baby1_birth; //宝宝生日
					that.vip_memo = data.Body.item.vip_memo; //备注

					that.vip_fy_amt = data.Body.item.vip_fy_amt; //工本费
					if (data.Body.vip_type != null) {
						that.viptype_no = data.Body.vip_type.viptype_no; //会员类别
						mui('#viptype')[0].value = data.Body.vip_type.viptype_name;
					}
					mui('#warning')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {

					if (status == 'timeout') {
						that.searchFn();
					}
				}
			});
		},
		//查询VIP业务统计
		businessFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_info_api.aspx?vipid=' + that.itemno, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.businessInfo = data.Body;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.businessFn();
					}
				}
			})
		},
		//余额流水统计
		yeFlowFn: function (self) {
			var that = this;
			if (!self) { that.page1 = 1; }
			mui.ajax('http://dc.10le.cn/vip/vip_money_logs_api.aspx?vip_no=' + that.itemno + '&type=4&PageIndex=' + that.page1, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function (data) {
				    if (self) {
				        if (that.page1 > data.Body.PageCount) {
				            vm.yeList = vm.yeList;
				            self.endPullUpToRefresh(true);
				        } else {
				            vm.yeList = vm.yeList.concat(data.Body.table);
				            self.endPullUpToRefresh();
				        }
				        that.page1++;
				    } else {
				        vm.yeList = data.Body.table;
				    }
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.yeFlowFn();
					}
				}
			})
		},
		//消费流水统计
		consumeFlowFn: function(self) {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_logs_api.aspx?vip_no=' + that.itemno + '&type=8&PageIndex=' + that.page2, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (that.page1 > data.Body.PageCount) {
						vm.consumeList = vm.consumeList;
						self.endPullUpToRefresh(true);
					} else {
						vm.consumeList = vm.consumeList.concat(data.Body.table);
						self.endPullUpToRefresh();
					}
					that.page2++;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.consumeFlowFn();
					}
				}
			})
		},
		//充值流水
		rechargeFlowFn: function(self) {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_logs_api.aspx?vip_no=' + that.itemno + '&type=0&PageIndex=' + that.page3, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (that.page3 > data.Body.PageCount) {
						vm.rechargeList = vm.rechargeList;
						self.endPullUpToRefresh(true);
					} else {
						vm.rechargeList = vm.rechargeList.concat(data.Body.table);
						self.endPullUpToRefresh();
					}
					that.page3++;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.rechargeFlowFn();
					}
				}
			})
		},
		//赠送流水
		giveFlowFn: function(self) {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_logs_api.aspx?vip_no=' + that.itemno + '&type=2&PageIndex=' + that.page4, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (that.page4 > data.Body.PageCount) {
						vm.giveList = vm.giveList;
						self.endPullUpToRefresh(true);
					} else {
						vm.giveList = vm.giveList.concat(data.Body.table);
						self.endPullUpToRefresh();
					}
					that.page4++;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.giveFlowFn();
					}
				}
			})
		},
		//积分流水
		jifenFlowFn: function(self) {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_logs_api.aspx?vip_no=' + that.itemno + '&type=5&PageIndex=' + that.page5, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (that.page5 > data.Body.PageCount) {
						vm.jifenList = vm.jifenList;
						self.endPullUpToRefresh(true);
					} else {
						vm.jifenList = vm.jifenList.concat(data.Body.table);
						self.endPullUpToRefresh();
					}
					that.page5++;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.jifenFlowFn();
					}
				}
			})
		},
		//当前余额
		nowYeFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cz_api.aspx?cmd=YN&vipId=' + that.itemno, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.nowYue = data.Body;
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.nowYeFn();
					}
				}
			})
		},
		//当前积分
		nowJifenFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_integral_manage_api.aspx?cmd=01&vipid=' + that.itemno, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.nowJifen = data.Body;
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.nowJifenFn();
					}
				}
			})
		},
		//添加
		addFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx', {
				data: {
					cmd: '02',
					card_no: that.cardno,
					vip_dispno: that.vip_dispno,
					card_type: '',
					vip_name: that.vip_name,
					viptype_no: that.viptype_no,
					vip_pycode: that.vip_pycode,
					vip_mobil1: that.vip_mobil1,
					execut: '',
					yen: '',
					viptype_name: '',
					vip_userid: that.vip_userid,
					vip_have_pwd: '',
					vip_pwd: that.vip_pwd,
					//					init_total_amt: that.init_total_amt,
					init_integral: that.init_integral,
					init_balance_amt: that.init_balance_amt,
					ctrl_valid: that.ctrl_valid,
					vip_end_date: that.vip_end_date,
					vip_credit_amt: that.vip_credit_amt,
					init_money_amt: that.init_money_amt, //初始余额
					vip_isupgrade: '',
					vip_islimit: '',
					vip_birth_flag: that.vip_birth_flag,
					vip_birth: that.vip_birth,
					vip_qq: that.vip_qq,
					vip_tel: that.vip_tel,
					vip_mobil2: that.vip_mobil2,
					vip_sex: that.vip_sex,
					vip_fax: that.vip_fax,
					vip_id: that.vip_id,
					vip_address: that.vip_address,
					vip_attribute_no: that.vip_attribute_no,
					vip_email: '',
					vip_status: that.vip_status,
					vip_adviser_man: that.vip_adviser_man,
					intro_vip_no: that.intro_vip_no,
					vip_like_memo: that.vip_like_memo,
					vip_dislike_memo: that.vip_dislike_memo,
					baby1_name: that.baby1_name,
					recom_vip_no: that.recom_vip_no,
					baby1_birth_flag: that.baby1_birth_flag,
					baby1_birth: that.baby1_birth,
					vip_memo: that.vip_memo,
					vip_bytxt1: '',
					vip_bytxt2: '',
					vip_bytxt3: '',
					vip_bynum1: '',
					vip_bynum2: '',
					vip_bynum3: '',
					vip_web_pwd: '',
					czje: '',
					zsje: '',
					zsjf: '',
					zsfl: '',
					sfje: '',
					zslq: '',
					lqbh: '',
					zssp: '',
					zsspno: '',
					zsspsum: '',
					vip_fy_amt: that.vip_fy_amt

				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0001') {
						mui.toast(data.msg);
						return;
					} else {
						mui.toast(data.Body.msg);
						that.itemno = data.Body.vip.id;
						mui.later(function() {
							mui.openWindow({
								url: localStorage.getItem('vipPage') + '.html',
								id: localStorage.getItem('vipPage'),
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						}, 500)
					}

				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.addFn();
					}
				}
			});
		},
		updateFn: function() {
			var that = this;
			//类别
			mui.each(that.typeList, function(index, item) {
				if (that.viptype_no == item.basic.viptype_name) {
					that.viptype_no = item.basic.viptype_no;
					return;
				}
			})
			mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx', {
				data: {
					cmd: '03',
					itemId: that.itemno,
					card_no: that.cardno,
					vip_dispno: that.vip_dispno,
					card_type: '',
					vip_name: that.vip_name,
					viptype_no: that.viptype_no,
					vip_pycode: that.vip_pycode,
					vip_mobil1: that.vip_mobil1,
					execut: '',
					yen: '',
					viptype_name: '',
					vip_userid: that.vip_userid,
					vip_have_pwd: '',
					vip_pwd: that.vip_pwd,
					//					init_total_amt: that.init_total_amt,
					init_integral: that.init_integral,
					init_balance_amt: that.init_balance_amt,
					ctrl_valid: that.ctrl_valid,
					vip_end_date: that.vip_end_date,
					vip_credit_amt: that.vip_credit_amt,
					init_money_amt: that.init_money_amt,
					vip_isupgrade: '',
					vip_islimit: '',
					vip_birth_flag: that.vip_birth_flag,
					vip_birth: that.vip_birth,
					vip_qq: that.vip_qq,
					vip_tel: that.vip_tel,
					vip_mobil2: that.vip_mobil2,
					vip_sex: that.vip_sex,
					vip_fax: that.vip_fax,
					vip_id: that.vip_id,
					vip_address: that.vip_address,
					vip_attribute_no: that.vip_attribute_no,
					vip_email: '',
					vip_status: that.vip_status,
					vip_adviser_man: that.vip_adviser_man,
					intro_vip_no: that.intro_vip_no,
					vip_like_memo: that.vip_like_memo,
					vip_dislike_memo: that.vip_dislike_memo,
					baby1_name: that.baby1_name,
					recom_vip_no: that.recom_vip_no,
					baby1_birth_flag: that.baby1_birth_flag,
					baby1_birth: that.baby1_birth,
					vip_memo: that.vip_memo,
					vip_bytxt1: '',
					vip_bytxt2: '',
					vip_bytxt3: '',
					vip_bynum1: '',
					vip_bynum2: '',
					vip_bynum3: '',
					vip_web_pwd: '',
					czje: '',
					zsje: '',
					zsjf: '',
					zsfl: '',
					sfje: '',
					zslq: '',
					lqbh: '',
					zssp: '',
					zsspno: '',
					zsspsum: '',
					vip_fy_amt: that.vip_fy_amt

				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000,
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					mui('#warning')[0].style.display = 'none';

					if (data.code == '0001') {
						mui.toast(data.msg);
						return false;
					} else {
						mui.toast(data.Body);
						mui.later(function() {
							mui.openWindow({
								url: localStorage.getItem('vipPage') + '.html',
								id: localStorage.getItem('vipPage'),
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						}, 500)
					}

				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.updateFn();
					}
				}
			});
		},
		//目标会员
		vipFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/getviplist_v2_api.aspx?viptype_no=' + that.sviptype_no + '&vipkeys=' + that.vipkeys, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 20000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					mui('.middScroll').scroll().scrollTo(0, 0, 10);
					that.vipList = data.Body;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.vipFn();
					}
				}
			});
		},
		//会员类别
		typeListFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_type_info_aip.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				async: false,
				success: function(data) {
					that.typeList = data.list;
					var a = 0;
					if (location.search == '') {
						mui.each(data.list, function(index, item) {
							if (item.basic.viptype_name == '普通会员') {
								a++;
								that.viptype_no = item.basic.id;
								mui('#viptype')[0].value = item.basic.viptype_name;
							}
						})
						if (a == 0) {
							that.viptype_no = data.list[0].basic.id;
							mui('#viptype')[0].value = data.list[0].basic.viptype_name;
						}
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.typeListFn();
					}
				}
			});
		},
		//会员属性
		attrListFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/t_vip_attribute_api.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.attrList = data.list;
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.attrListFn();
					}
				}
			});
		},
		//上传图片
		uploadImg: function(base64) {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_info_api.aspx', {
				data: {
					cmd: '06',
					itemId: that.itemno,
					base64: base64
					// mui('#baseImg')[0].value
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					mui('#warning')[0].style.display = 'none';
					if (data.code == '0001') {
						mui.toast(data.msg);
					} else {
						mui.toast('上传成功');
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.uploadImg();
					}
				}
			});
		},
		vipQlFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cz_api.aspx?cmd=NU&vipId=' + that.itemno + '&qlmemo=' + that.qlmemo, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					mui('#warning')[0].style.display = 'none';
					if (data.code == '0000') {
						mui.toast('操作成功');
						that.nowYeFn();
						that.businessFn();
						that.qlmemo = '';
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {

				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.vipQlFn();
					}
				}
			});
		},
		getCztxtFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cztxt_api.aspx?czje=' + that.czje, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {

					if (data.code == '0000') {
						that.czList1 = data.Body.充值赠送方案;
						that.czList2 = data.Body.充值赠送礼品;

						if (that.czList1[0] != null) {
							that.id1 = that.czList1[0].id;
							that.dzje = (Number(that.czList1[0].give_value) + Number(that.czje));
						} else {
							that.dzje = that.czje;
							that.id1 = '';
						}
						if (that.czList1[1] != null) {
							that.id2 = that.czList1[1].id;
						} else {
							that.id2 = '';
						}
						if (that.czList1[2] != null) {
							that.id3 = that.czList1[2].id;
						} else {
							that.id3 = '';
						}
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getCztxtFn();
					}
				}
			});
		},
		vipRecharge: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cz_api.aspx?cmd=I04&czje=' + that.czje + '&vipId=' + that.itemno +
				'&sfje_no=' + that.id1 + '&sfjf_no=' + that.id2 + '&sfyhq_no=' + that.id3 + '&pay_way=' + that.pay_way +
				'&deal_man=' + that.deal_man + "&czbz=" + that.czbz, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						mui('#warning')[0].style.display = 'none';
						if (data.code == '0000') {
							mui.toast('操作成功');
							that.czje = '';
							that.czList1 = [];
							that.czList2 = [];
							that.nowYeFn();
							that.nowJifenFn();
							that.businessFn();

						} else {
							mui.toast(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {

					},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.vipRecharge();
						}
					}
				});
		},

		vipKou: function () {
		    var that = this;
		    mui.ajax('http://dc.10le.cn/vip/vip_money_cz_api.aspx?cmd=I03&kcje=' + that.kcje + '&vipId=' + that.itemno +
				'&deal_man=' + that.deal_man_kc + "&kcbz=" + that.kcbz, {
				    data: '',
				    dataType: 'json',
				    type: 'GET',
				    timeout: 10000, //超时时间设置为10秒；
				    headers: {
				        'Content-Type': 'application/json',
				        'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				    },
				    beforeSend: function () {
				        mui('#warning')[0].style.display = 'block';
				    },
				    success: function (data) {
				        mui('#warning')[0].style.display = 'none';
				        if (data.code == '0000') {
				            mui.toast('操作成功');
				            that.kcje = '';
				            that.nowYeFn();
				            that.businessFn();
				            
				        } else {
				            mui.toast(data.msg);
				        }
				    },
				    error: function (xhr, type, errorThrown) {

				    },
				    complete: function (XMLHttpRequest, status) {
				        mui('#warning')[0].style.display = 'none';
				        if (status == 'timeout') {
				            that.vipRecharge();
				        }
				    }
				});
		},
		//转账
		turnFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cz_api.aspx?cmd=VZ&turnvip=' + that.turnvip + '&truned2=' + that.truned2 +
				'&turnprice2=' + that.turnprice2 + '&memo2=' + that.memo2 + '&vipId=' + that.itemno, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						mui('#warning')[0].style.display = 'none';
						if (data.code == '0000') {
							mui.toast('操作成功');
							that.nowYeFn();
							that.businessFn();

							that.turnvip = '';

							that.truned2 = 0;
							that.turnprice2 = '';
							that.memo2 = '';
							mui('#selectVip')[0].value = '';
							mui('.zhuanzhangInp')[0].value = '全部金额';

						} else {
							mui.toast(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.turnFn();
						}
					}
				});
		},
		//积分加减
		jifenjjFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_integral_manage_api.aspx?cmd=7&vipid=' + that.itemno + '&jjjf=' + that.jjjf +
				'&jfmemo=' + that.jfmemo, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						mui('#warning')[0].style.display = 'none';
						if (data.code == '0000') {
							mui.toast('操作成功');
							that.nowJifenFn();
							that.jjjf = '';
							that.jfmemo = '手工积分操作';

						} else {
							mui.toast(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.jifenjjFn();
						}
					}
				});
		},
		qlFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_integral_manage_api.aspx?cmd=8&vipid=' + that.itemno + '&qlyf=' + that.qlyf +
				'&clmemo=' + that.clmemo, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						mui('#warning')[0].style.display = 'none';
						if (data.code == '0000') {
							mui.toast(data.Body);
							that.nowJifenFn();
							that.qlyf = '';
							that.clmemo = '';

						} else {
							mui.toast(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.qlFn();
						}
					}
				});
		},
		//积分兑换商品列表
		exGoodFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/integral_item_api.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.exGoodList = data.list;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.exGoodFn();
					}
				}
			});
		},
		//积分兑换券列表
		exQuanFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/basic/vip_integral_stamp_api.aspx', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.exQuanList = data.list;
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.exQuanFn();
					}
				}
			});
		},
		//兑换商品
		exgoodFn: function(string) {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_integral_manage_api.aspx?cmd=1&vipid=' + that.itemno + string, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						that.nowJifenFn();
						that.businessFn();
						that.idArr = [];
						that.numArr = [];
						that.jifenArr = [];
						that.putNum = 0;
						that.putJifen = 0;

						mui.each(mui('.goodsList'), function(index, item) {
							item.classList.remove('selected');
							var input = this.getElementsByTagName('input')[0];
							input.setAttribute('readonly', 'readonly');
							input.value = 1;
						})
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.exgoodFn();
					}
				}
			});
		},
		//兑换券
		exquanFn: function(string) {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_integral_manage_api.aspx?cmd=6&vipid=' + that.itemno + string, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						mui.toast(data.Body);
						that.nowJifenFn();
						that.businessFn();
						that.idArr2 = [];
						that.numArr2 = [];
						that.jifenArr2 = [];
						that.quanArr = [];
						that.putJifen2 = 0;
						that.putQuan = 0;

						mui.each(mui('.exQuanList'), function(index, item) {
							item.classList.remove('selected');
							var input = this.getElementsByTagName('input')[0];
							input.setAttribute('readonly', 'readonly');
							input.value = 1;
						})
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.exgoodFn();
					}
				}
			});
		},
		//当前有效期
		nowDateFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_fy_manage_api.aspx?cmd=01&vipid=' + that.itemno, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.nowDate = data.Body;
					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.nowDateFn();
					}
				}
			});
		},
		//交费续卡
		vipJiaoFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_fy_manage_api.aspx?cmd=1&vipid=' + that.itemno + '&jfje=' + that.jfje +
				'&pay_way=' + that.pay_way2 + '&memo=' + that.jfmemo + '&yqdate=' + that.yqdate, {
					data: '',
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast('操作成功');
							that.nowDateFn();

							that.jfje = '';
							that.pay_way2 = '';
							mui('#payStyle')[0].value = that.payStyle2[0].text;
							that.jfmemo = '';
							that.yqdate = '';
							that.page_ = 1;
							that.jfFlow = [];
							that.vipJiaoListFn();
							that.nowYeFn();
							that.businessFn();
						}
					},
					error: function(xhr, type, errorThrown) {},
					complete: function(XMLHttpRequest, status) {
						if (status == 'timeout') {
							that.vipJiaoFn();
						}
					}
				});
		},
		vipJiaoListFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/getvip_jfflow_api.aspx?vipid=' + that.itemno + '&PageIndex=' + that.page_, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					if (that.page_ > data.Body.PageCount) {
						return false;
					} else {
						that.jfFlow = that.jfFlow.concat(data.Body.list);
					}
					that.page_++;
					that.vipJiaoListFn();
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.vipJiaoListFn();
					}
				}
			});
		}
	},
	watch: {
		ctrl_valid: function() {
			if (this.ctrl_valid == '1') {
				mui('.vip_end_date')[0].style.display = 'none';
				this.vip_end_date = '';
			} else if (this.ctrl_valid == '0') {
				mui('.vip_end_date')[0].style.display = 'block';
			}
		},
		truned2: function() {
			this.turnprice2 = '';
			if (this.truned2 == '1') {
				mui('.turnMoney')[0].style.display = 'block';
			} else if (this.truned2 == '0') {
				mui('.turnMoney')[0].style.display = 'none';
			}
		},
		czje: function() {
			if (this.czje < 0) {
				mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
				return false;
			} else if (this.czje > 10000000) {
				this.czje = 10000000;
			}
			this.getCztxtFn();
		},
		numArr: function() {
			var that = this;
			that.putNum = 0;
			mui.each(that.numArr, function(index, item) {
				that.putNum += Number(item);
			})

		},
		jifenArr: function() {
			var that = this;
			that.putJifen = 0;
			mui.each(that.jifenArr, function(index, item) {
				that.putJifen += Number(item);
			})
		},
		numArr2: function() {
			var that = this;

			that.putJifen2 = 0;
			that.putQuan = 0;

			mui.each(that.quanArr, function(index, item) {
				that.putQuan += Number(item);
			})
			mui.each(that.jifenArr2, function(index, item) {
				that.putJifen2 += Number(item);
			})
		}
	}
})

//性别
mui('body').on('tap', '.sex', function() {
	document.activeElement.blur();

	var picker = new mui.PopPicker();
	picker.setData([{
		value: '1',
		text: '男'
	}, {
		value: '0',
		text: '女'
	}]);
	picker.show(function(selectItems) {
		vm.vip_sex = selectItems[0].value;
		mui('#sexInp')[0].value = selectItems[0].text;
	})
})

//添加
mui('#wrap').on('tap', '.okBtn', function() {
	document.activeElement.blur();
	if (vm.vip_name == '') {
		mui.alert('请输入会员姓名', ' ', function() {}, 'div');
		return;
	} else if (vm.viptype_no == '') {
		mui.alert('请选择会员类别', ' ', function() {}, 'div');
		return;
	} else if (vm.reg.test(vm.vip_mobil1) == false) {
		mui.alert('请输入正确的手机号', ' ', function() {}, 'div');
		return;
	} else {
		if (vm.itemno == '') {
			vm.addFn();
		} else {
			vm.updateFn();
		}
	}
})

//会员分类
mui('#wrap').on('tap', '.viptype', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	var arrObj = [];

	mui.each(vm.typeList, function(index, item) {
		arrObj[index] = {
			value: item.basic.id,
			text: item.basic.viptype_name
		}
	})
	picker.setData(arrObj);
	picker.show(function(selectItems) {
		vm.viptype_no = selectItems[0].value;
		mui('#viptype')[0].value = selectItems[0].text;
	})
})
//会员转账搜索会员
mui('.middlePopover').on('tap', '.sViptype', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	var arrObj = [];
	mui.each(vm.typeList, function(index, item) {
		arrObj[index] = {
			value: item.basic.viptype_no,
			text: item.basic.viptype_name
		}
	})
	arrObj.unshift({
		value: '',
		text: '全部'
	})
	picker.setData(arrObj);

	picker.show(function(selectItems) {
		vm.sviptype_no = selectItems[0].value;
		mui('.sViptypeInp')[0].value = selectItems[0].text;
	})
})
//会员属性
mui('#wrap').on('tap', '.attr', function() {
	document.activeElement.blur();

	var picker = new mui.PopPicker();
	var arrObj = [];

	mui.each(vm.attrList, function(index, item) {
		arrObj[index] = {
			value: item.basic.vip_attribute_no,
			text: item.basic.vip_attribute_name
		}
	})
	picker.setData(arrObj);
	picker.show(function(selectItems) {
		vm.vip_attribute_no = selectItems[0].value;
		mui('#attr')[0].value = selectItems[0].text;
	})
})

//生日标识
mui('#wrap').on('tap', '.vipBirthflag', function() {
	document.activeElement.blur();

	var picker = new mui.PopPicker();
	picker.setData([{
		value: '0',
		text: '未知'
	}, {
		value: '1',
		text: '阳历'
	}, {
		value: '2',
		text: '阴历'
	}]);
	picker.show(function(selectItems) {
		vm.vip_birth_flag = selectItems[0].value;
		mui('.vip_birth_flag')[0].value = selectItems[0].text;
	})
})

//宝宝生日标识
mui('#wrap').on('tap', '.baby1Birthflag', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '0',
		text: '未知'
	}, {
		value: '1',
		text: '阳历'
	}, {
		value: '2',
		text: '阴历'
	}]);
	picker.show(function(selectItems) {
		vm.baby1_birth_flag = selectItems[0].value;
		mui('#baby1Birthflag')[0].value = selectItems[0].text;
	})
})

//生日
mui('#wrap').on('tap', '.vipBirth', function() {
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(1700, 00, 01), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		vm.vip_birth = selectItems.text;
	})
})

//宝宝生日
mui('#wrap').on('tap', '.babyBirth', function() {
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(1700, 00, 01), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		vm.baby1_birth = selectItems.text;
	})
})

function ctrlValidFn() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '1',
		text: '永久有效'
	}, {
		value: '0',
		text: '指定有效期'
	}]);
	picker.show(function(selectItems) {
		vm.ctrl_valid = selectItems[0].value;
		mui('.ctrl_valid')[0].value = selectItems[0].text;
	})
}
//有效期至

function endDateFn() {
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(1700, 00, 01), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		vm.vip_end_date = selectItems.text;
	})
}
//状态
mui('#wrap').on('tap', '.vipState', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.stateList);
	picker.show(function(selectItems) {
		vm.vip_status = selectItems[0].value;
		mui('#vipState')[0].value = selectItems[0].text;
	})
})

//图片上传
mui('#wrap').on('tap', '#file', function() {
	if (vm.itemno == '') {
		mui.alert('请先提交个人资料', ' ', function() {}, 'div');
	}
})
mui('#wrap').on('change', '#file', function() {
	if (vm.itemno == '') {
		mui.alert('请先提交个人资料', ' ', function() {}, 'div');
	} else {
		var obj = this.files[0];
		var fr = new FileReader();
		fr.onload = function() {
			mui("#portrait")[0].setAttribute('src', this.result);
			mui('#baseImg')[0].value = this.result;
		};
		fr.readAsDataURL(obj);
	}
})

mui('#wrap').on('tap', '.submitImg', function() {
	if (vm.itemno == '') {
		mui.alert('请先提交个人资料', ' ', function() {}, 'div');
		return false;
	} else {
		// vm.uploadImg(mui('#baseImg')[0].value);
		photoCompress(mui('#file')[0].files[0], 300);

	}
})

function photoCompress(file, w) {
	var ready = new FileReader();
	/*开始读取指定的Blob对象或File对象中的内容. 当读取操作完成时,readyState属性的值会成为DONE,如果设置了onloadend事件处理程序,则调用之.同时,result属性中将包含一个data: URL格式的字符串以表示所读取文件的内容.*/
	ready.readAsDataURL(file);
	ready.onload = function() {
		var re = this.result;
		canvasDataURL(re, w);
	}
}

function canvasDataURL(re, w) {
	var newImg = new Image();
	newImg.src = re;
	var imgWidth, imgHeight, offsetX = 0,
		offsetY = 0;
	newImg.onload = function() {
		var img = document.createElement("img");
		img.src = newImg.src;
		imgWidth = img.width;
		imgHeight = img.height;
		var canvas = document.createElement("canvas");
		canvas.width = w;
		canvas.height = w;
		var ctx = canvas.getContext("2d");
		ctx.clearRect(0, 0, w, w);
		if (imgWidth > imgHeight) {
			imgWidth = w * imgWidth / imgHeight;
			imgHeight = w;
			offsetX = -Math.round((imgWidth - w) / 2);
		} else {
			imgHeight = w * imgHeight / imgWidth;
			imgWidth = w;
			offsetY = -Math.round((imgHeight - w) / 2);
		}
		ctx.drawImage(img, offsetX, offsetY, imgWidth, imgHeight);
		var base64 = canvas.toDataURL("image/jpeg", 0.7);
		vm.uploadImg(base64);
	}

}


mui('#wrap').on('tap', '.imgCard', function() {
	if (vm.itemno == '') {
		mui.alert('请先提交个人资料', ' ', function() {}, 'div');
		return false;
	}
	mui('.okBtn')[0].style.display = 'none';
})
mui('.preNav').on('tap', '.mui-control-item', function() {
	var href = this.getAttribute('href');
	if (vm.power == '' || vm.power == 'update') {
		if (href == '#item4') {
			if (vm.itemno == '') {
				mui.alert('请先提交个人资料', ' ', function() {}, 'div');
				return false;
			}
			mui('.okBtn')[0].style.display = 'none';
		} else if (href == '#item5' || href == '#item6' || href == '#item7' || href == '#item8' || href == '#item9' || href ==
			'#item25') {
			mui('.okBtn')[0].style.display = 'none';
		} else {
			mui('.okBtn')[0].style.display = 'block';
		}
	}
})
//转账选择
mui('#item17').on('tap', '.zhuanzhangLi', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData([{
		value: '0',
		text: '全部金额'
	}, {
		value: '1',
		text: '指定金额'
	}]);
	picker.show(function(selectItems) {
		vm.truned2 = selectItems[0].value;
		mui('.zhuanzhangInp')[0].value = selectItems[0].text;
	})
})
mui('#item17').on('tap', '#selectVip', function() {
	mui('.middlePopover').popover('show');
	mui('.middScroll').scroll().scrollTo(0, 0, 10);
})
mui('#item17').on('tap', 'button', function() {
	document.activeElement.blur();
	if (vm.turnvip == '') {
		mui.alert('请选择目标会员', ' ', function() {}, 'div');
		return false;
	} else if (vm.truned2 == '1') {
		if (vm.turnprice2 == '' || vm.turnprice2 == 0 || vm.turnprice2 < 0) {
			mui.alert('请输入有效金额', ' ', function() {}, 'div');
			return false;
		}
	}
	vm.turnFn();
})

mui('.middlePopover').on('tap', '.selVipType', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	var arrObj = [];
	mui.each(vm.typeList, function(index, item) {
		arrObj[index] = {
			value: item.basic.viptype_no,
			text: item.basic.viptype_name
		}
	})
	picker.setData(arrObj);
	picker.show(function(selectItems) {
		mui('.selVipType')[0].value = selectItems[0].text;
	})
})

//查询会员
mui('.middlePopover').on('tap', '.search', function() {
	mui('.middleVip')[0].style.display = 'block';

})

//点击余额流水 点击充值流水
mui('#item6').on('tap', '.mui-control-item', function () {
    if (this.innerText == "余额流水") {
        vm.yeFlowFn();
    }
    if (this.innerText == "充值流水") {
        vm.rechargeFlowFn();
    }
})

//点击延期续卡
mui('#item23').on('change', '.yqxk', function() {
	var check = this.checked;
	if (check) {
		mui('.yanqiDiv')[0].style.display = 'block';
	} else {
		mui('.yanqiDiv')[0].style.display = 'none';
	}
})
//延期至
mui('#item23').on('tap', '#yanqiInp', function() {
	var dtPicker = new mui.DtPicker({
		type: 'date',
		beginDate: new Date(), //设置开始日期 
		endDate: new Date(2500, 12, 20), //设置结束日期 
	});
	dtPicker.show(function(selectItems) {
		vm.yqdate = selectItems.text;
	})
})

//支付方式
mui('#item23').on('tap', '#payStyle', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.payStyle2);
	picker.show(function(selectItems) {
		vm.pay_way2 = selectItems[0].value;
		mui('#payStyle')[0].value = selectItems[0].text;
	})
})

var deceleration = mui.os.ios ? 0.003 : 0.0009;
mui('.scroll').scroll({
	bounce: true,
	indicators: true, //是否显示滚动条
	deceleration: deceleration
});

mui.ready(function() {
	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
		if (index == 0) {
			mui(pullRefreshEl).pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						vm.yeFlowFn(self);
					},
					auto: true
				}
			});
		} else if (index == 1) {
			mui(pullRefreshEl).pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						vm.consumeFlowFn(self);
					},
					auto: true
				}
			});
		} else if (index == 2) {
			mui(pullRefreshEl).pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						vm.rechargeFlowFn(self);
					},
					auto: true
				}
			});
		} else if (index == 3) {
			mui(pullRefreshEl).pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						vm.giveFlowFn(self);
					},
					auto: true
				}
			});
		} else if (index == 4) {
			mui(pullRefreshEl).pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						vm.jifenFlowFn(self);
					},
					auto: true
				}
			});
		}

	});
});

//积分兑换商品选择
mui('.jifenGoods').on('tap', 'li', function() {
	var id = this.getAttribute('itemid'),
		need = this.getAttribute('need'),
		input = this.getElementsByTagName('input')[0];
	if (this.className.indexOf('selected') == -1) {
		//选择
		vm.idArr.push(id);
		vm.numArr.push(input.value);
		vm.jifenArr.push(Number(input.value) * Number(need));
		this.classList.add('selected');
	} else {
		//取消选择
		var index = vm.idArr.indexOf(id);
		vm.idArr.splice(index, 1);
		vm.numArr.splice(index, 1);
		vm.jifenArr.splice(index, 1);
		input.value = 1;
		input.blur();
		this.classList.remove('selected');
	}
})
mui('.jifenGoods').on('tap', 'input', function(e) {
	e.stopPropagation();
	var li = this.parentNode.parentNode.parentNode;
	if (li.className.indexOf('selected') != -1) {
		this.removeAttribute('readonly');
	} else {
		this.setAttribute('readonly', 'readonly');
	}
})
mui('.jifenGoods').on('input', 'input', function(e) {
	e.stopPropagation();
	var itemid = this.getAttribute('itemid'),
		need = this.getAttribute('need');
	var index = vm.idArr.indexOf(itemid);
	vm.$set(vm.numArr, index, this.value);
	vm.$set(vm.jifenArr, index, Number(this.value) * Number(need));
})
//积分兑换券
mui('.exQuan').on('tap', '.exQuanList', function() {
	var id = this.getAttribute('itemid'),
		need = this.getAttribute('need'),
		me = this.getAttribute('me'),
		input = this.getElementsByTagName('input')[0];
	if (this.className.indexOf('selected') == -1) {
		//选择
		vm.idArr2.push(id);
		vm.numArr2.push(input.value);
		vm.jifenArr2.push(Number(input.value) * Number(need));
		vm.quanArr.push(Number(input.value) * Number(me));
		this.classList.add('selected');
	} else {
		//取消选
		var index = vm.idArr2.indexOf(id);
		vm.idArr2.splice(index, 1);
		vm.numArr2.splice(index, 1);
		vm.jifenArr2.splice(index, 1);
		vm.quanArr.splice(index, 1);
		input.value = 1;
		input.blur();
		this.classList.remove('selected');
	}
})
mui('.exQuan').on('tap', 'input', function(e) {
	e.stopPropagation();
	var li = this.parentNode.parentNode;
	if (li.className.indexOf('selected') != -1) {
		this.removeAttribute('readonly');
	} else {
		this.setAttribute('readonly', 'readonly');
	}
})
mui('.exQuan').on('input', 'input', function(e) {
	e.stopPropagation();
	var itemid = this.getAttribute('itemid'),
		me = this.getAttribute('me'),
		need = this.getAttribute('need');
	var index = vm.idArr2.indexOf(itemid);
	vm.$set(vm.numArr2, index, this.value);
	vm.$set(vm.jifenArr2, index, Number(this.value) * Number(need));
	vm.$set(vm.quanArr, index, Number(this.value) * Number(me));
})
//选择月份
mui('#item22').on('tap', '.selectData', function() {
	var dtPicker = new mui.DtPicker({
		type: 'date'
	});
	dtPicker.show(function(selectItems) {
		vm.qlyf = selectItems.text;
	})
})
mui('#item22').on('tap', 'button', function() {
	document.activeElement.blur();
	vm.qlFn();
})
mui('#item23').on('tap', 'button', function() {
	document.activeElement.blur();
	if (vm.jfje == '' || vm.jfje == 0 || vm.jfje < 0) {
		mui.alert('请输入有效金额', ' ', function() {}, 'div');
	} else {
		vm.vipJiaoFn();
	}
})

mui('#item16').on('tap', '.deal_man', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.ywList);
	picker.show(function(selectItems) {
	    vm.deal_man = selectItems[0].value;
		mui('#deal_man')[0].value = selectItems[0].text;
	})
})

mui('#item1602').on('tap', '.deal_man', function () {
    document.activeElement.blur();
    var picker = new mui.PopPicker();
    picker.setData(vm.ywList);
    picker.show(function (selectItems) {
        vm.deal_man_kc= selectItems[0].value;
        mui('#deal_man_kc')[0].value = selectItems[0].text;
    })
})

mui('#item16').on('tap', '.payStyle', function() {
	document.activeElement.blur();
	var picker = new mui.PopPicker();
	picker.setData(vm.payStyleList);
	picker.show(function(selectItems) {
		vm.pay_way = selectItems[0].value;
		mui('#payStyle16')[0].value = selectItems[0].text;
	})
})

//会员充值
mui('#item16').on('tap', '.recharge', function() {
	document.activeElement.blur();
	if (vm.czje == '' || vm.czje == 0 || vm.czje < 0) {
		mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
		return false;
	}
	vm.vipRecharge();
})

//kou
mui('#item1602').on('tap', '.recharge', function () {
    document.activeElement.blur();
    if (vm.kcje == '' || vm.kcje == 0 || vm.kcje < 0) {
        mui.alert('请输入正确的金额', ' ', function () { }, 'div');
        return false;
    }
    vm.vipKou();
})

mui('#item18').on('tap', 'button', function() {
	document.activeElement.blur();
	vm.vipQlFn();
})

mui('.vipList').on('tap', 'li', function() {
	document.activeElement.blur();
	var className = this.className,
		lis = mui('.vipList')[0].getElementsByTagName('li');
	mui.each(lis, function(index, item) {
		item.classList.remove('vipSelected');
	})
	this.classList.add('vipSelected');
	vm.turnvip = this.getAttribute('itemid');
	mui('#selectVip')[0].value = this.getAttribute('itemname');

})

mui('.middlePopover').on('tap', '.ok', function() {
	if (vm.turnvip == '') {
		mui.alert('请选择目标会员', ' ', function() {}, 'div');
		return false;
	} else {
		mui('.middlePopover').popover('hide');
	}
})
mui('.middlePopover').on('tap', '.cancel', function() {
	vm.turnvip = '';
	mui('#selectVip')[0].value = '';
	mui('.middlePopover').popover('hide');
})
mui('.middlePopover').on('tap', '.sBtn', function() {
	document.activeElement.blur();
	vm.vipList = [];
	vm.vipFn();
})

mui('#item21').on('tap', 'button', function() {
	document.activeElement.blur();
	if (vm.jjjf == 0) {
		mui.alert('请输入有效值', ' ', function() {}, 'div');
		return false;
	} else {
		vm.jifenjjFn();
	}
})

mui('#item19').on('tap', 'button', function() {
	document.activeElement.blur();
	var string = '';
	if (vm.idArr.length > 0) {
		mui.each(vm.idArr, function(index, item) {
			string += '&checkid=' + item + '&num=' + vm.numArr[index];
		})
		vm.exgoodFn(string);
	} else {
		mui.alert('请选择兑换商品', ' ', function() {}, 'div');
	}
})
mui('#item20').on('tap', 'button', function() {
	document.activeElement.blur();
	var string = '';
	if (vm.idArr2.length > 0) {
		mui.each(vm.idArr2, function(index, item) {
			string += '&checkid=' + item + '&num=' + vm.numArr2[index];
		})
		vm.exquanFn(string);
	} else {
		mui.alert('请选择兑换券', ' ', function() {}, 'div');
	}
})



var $ = {};
$.all = function(selector, contextElement) {
	var nodeList,
		list = [];
	if (contextElement) {
		nodeList = contextElement.querySelectorAll(selector);
	} else {
		nodeList = document.querySelectorAll(selector);
	}
	if (nodeList && nodeList.length > 0) {
		list = Array.prototype.slice.call(nodeList);
	}
	return list;
}

$.delegate = function($el, eventType, selector, fn) {
	if (!$el) {
		return;
	}
	$el.addEventListener(eventType, function(e) {
		var targets = $.all(selector, $el);
		if (!targets) {
			return;
		}
		// findTarget:
		for (var i = 0; i < targets.length; i++) {
			var $node = e.target;
			while ($node) {
				if ($node == targets[i]) {
					fn.call($node, e);
					break; //findTarget;
				}
				$node = $node.parentNode;
				if ($node == $el) {
					break;
				}
			}
		}
	}, false);
};

$.delegate(document.querySelector('#item4'), 'click', 'img', function() {
	var urls = [];
	var imgs = $.all('img', $.all('#item4')[0]);
	imgs.forEach(function(v, i) {
		urls.push(v.src);
	})

	var current = this.src;
	var obj = {
		urls: urls,
		current: current
	};
	previewImage.start(obj);
});
