mui.init({
	swipeBack: true //启用右滑关闭功能 
});
var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;
window.onresize = function() {
	//软键盘弹起与隐藏  都会引起窗口的高度发生变化
	var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight;
	if (resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了
		mui('#recharge')[0].style.display = 'none';
	} else {
		mui('#recharge')[0].style.display = 'block';
	}
}

var vm = new Vue({
	el: '#wrap',
	data: {
		payStyle: '',
		czje: '',
		dzje: '',
		czList1: [],
		czList2: []
	},
	methods: {
		chongzhiFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/recharge?czje=' + that.czje, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"]
				},
				success: function(data) {
					if (data.code == "0000") {
						mui.toast('充值成功');
						mui.later(function() {
							mui.openWindow({
								url: 'myChongzhi.html',
								id: 'myChongzhi',
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						}, 500)
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.chongzhiFn();
					}
				}
			});
		},
		getCztxtFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/vip/vip_money_cztxt_api_vip.aspx?czje=' + that.czje, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.czList1 = data.Body.充值赠送方案;
						that.czList2 = data.Body.充值赠送礼品;

						if (that.czList1[0] != null) {
							that.dzje = (Number(that.czList1[0].give_value) + Number(that.czje));
						} else {
							that.dzje = that.czje;
						}

					} else {
						mui.toast(data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getCztxtFn();
					}
				}
			});
		}
	},
	watch: {
		czje: function() {
			if (this.czje < 0) {
				mui.alert('请输入正确的充值金额', ' ', function() {}, 'div');
				return false;
			} else if (this.czje > 10000000) {
				this.czje = 10000000;
			}
			this.getCztxtFn();
		}
	}
})
mui('.payStyle').on('tap', 'li', function() {
	vm.payStyle = this.getAttribute('payStyle');
})


var wxChannel = null; // 微信支付 
var aliChannel = null; // 支付宝支付 
var channel = null; //支付通道
mui.plusReady(function() {
	// 获取支付通道 
	plus.payment.getChannels(function(channels) {
		aliChannel = channels[0];
		wxChannel = channels[1];
	}, function(e) {
		alert("获取支付通道失败：" + e.message, ' ', function() {}, 'div');
	});
})




//支付宝支付接口
var ALIPAYSERVER = 'http://demo.dcloud.net.cn/helloh5/payment/alipay.php?total=1';
//微信支付接口
var WXPAYSERVER = 'http://demo.dcloud.net.cn/helloh5/payment/wxpay.php?total=1';
// 2. 发起支付请求 
function pay(id) {
	// 从服务器请求支付订单 
	var PAYSERVER = '';
	if (id == 'alipay') {
		PAYSERVER = ALIPAYSERVER;
		channel = aliChannel;
	} else if (id == 'wxpay') {
		PAYSERVER = WXPAYSERVER;
		channel = wxChannel;
	} else {
		mui.alert('不支持此支付通道', ' ', function() {}, 'div');
		return;
	}
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		switch (xhr.readyState) {
			case 4:
				if (xhr.status == 200) {
					plus.payment.request(channel, xhr.responseText, function(result) {
						console.log(xhr.responseText);
						plus.nativeUI.alert("支付成功！", function() {

							mui.openWindow({
								url: 'myChongzhi.html',
								id: 'myChongzhi',
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						});
					}, function(error) {
						console.log(error);
						//plus.nativeUI.alert("支付失败：" + error.code);
						plus.nativeUI.alert("支付失败!");
					});
				} else {
					mui.alert("获取订单信息失败！", ' ', function() {}, 'div');
				}
				break;
			default:
				break;
		}
	}
	xhr.open('GET', PAYSERVER);
	xhr.send();
}
mui('#wrap').on('tap', '#recharge', function() {
	document.activeElement.blur();
	if (vm.czje == '' || vm.czje == 0 || vm.czje < 0) {
		mui.alert('请输入正确充值金额', ' ', function() {}, 'div');
		return;
	} else if (vm.payStyle == '') {
		mui.alert('请选择充值方式', ' ', function() {}, 'div');
		return;
	} else {
		vm.chongzhiFn();
		//微信和支付宝支付
		// pay(vm.payStyle);
	}
})
