mui.init({
	swipeBack: true,
	gestureConfig: {
		tap: true,
		doubletap: true,
		longtap: true,
		swipe: true,
		drag: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			callback: listFn
		}
	}
});
var pageIndex = 1;

function listFn() {
	mui.ajax('http://dci.10le.cn/VipPhone/flows?type=5&PageIndex=' + pageIndex, {
		data: "",
		dataType: 'json',
		type: 'GET',
		timeout: 10000,
		headers: {
			'Content-Type': 'application/json',
			'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
			'qrkey': localStorage["qrkey"]
		},
		success: function(data) {
			if (data.code == "0001") {
				mui.toast(data.msg);
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				return;
			}

			mui.each(data.Body.list, function(index, item) {
				if (this.amt > 0) {
					this.amt = '+' + this.amt;
				}
			})
			if (pageIndex > data.Body.PageCount) {
				vm.list = vm.list;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				vm.list = vm.list.concat(data.Body.list);
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			}

			pageIndex++;
		},
		error: function(xhr, type, errorThrown) {
			mui.alert(errorThrown);
		}
	});
}
var vm = new Vue({
	el: "#wrap",
	data: {
		list: [],
		info: ''
	},
	mounted: function() {
		this.getInfo();
	},
	methods: {
		getInfo: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPhone/info', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"]
				},
				success: function(data) {
					if (data.code == '0000') {
						that.info = data.Body;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getInfo();
					}
				}
			});
		}
	}
})
