var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if(!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}
mui.init({
	swipeBack: true //启用右滑关闭功能
});

function getNowFormatDate() {
	var date = new Date(),
		seperator1 = "-",
		seperator2 = ":",
		month = date.getMonth() + 1,
		strDate = date.getDate(),
		getHours = date.getHours(),
		getMinutes = date.getMinutes();
	var currentdate = date.getFullYear() + seperator1 + getNewTime(month) + seperator1 + getNewTime(strDate);
	return currentdate;
}

function getNewTime(timeArray) {
	if(timeArray > 0 && timeArray < 9) {
		timeArray = "0" + timeArray;
	}
	return timeArray;
}

var vm = new Vue({
	el: '#wrap',
	data: {
		list: [],
		info: '',
		startDate: getNowFormatDate(),
		endDate: ''
	},
	mounted: function() {
		this.todayFn();
	},
	methods: {
		todayFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/catering/businessflow_api.aspx?cmd=R01&flag=00', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if(data.code == '0000') {
						that.list = data.Body.list;
						that.info = data.Body.总计;
					} else {
						mui.alert(data.msg, ' ');
					}

				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.todayFn();
					}
				}
			});
		},
		weekFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/catering/businessflow_api.aspx?cmd=R01&flag=01', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if(data.code == '0000') {
						that.list = data.Body.list;
						that.info = data.Body.总计;
					} else {
						mui.alert(data.msg, ' ');
					}

				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.weekFn();
					}
				}
			});
		},
		fifteenFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/catering/businessflow_api.aspx?cmd=R01&flag=02', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if(data.code == '0000') {
						that.list = data.Body.list;
						that.info = data.Body.总计;
					} else {
						mui.alert(data.msg, ' ');
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.fifteenFn();
					}
				}
			});
		},
		monthFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/catering/businessflow_api.aspx?cmd=R01&flag=03', {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if(data.code == '0000') {
						that.list = data.Body.list;
						that.info = data.Body.总计;
					} else {
						mui.alert(data.msg, ' ');
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.monthFn();
					}
				}
			});
		},
		searchFn: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/catering/businessflow_api.aspx?cmd=R01&start_date=' + vm.startDate + '&end_date=' + vm.endDate, {
				data: '',
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if(data.code == '0000') {
						that.list = data.Body.list;
						that.info = data.Body.总计;
					} else {
						mui.alert(data.msg, ' ');
					}
				},
				error: function(xhr, type, errorThrown) {},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.searchFn();
					}
				}
			});
		}
	}
})

mui('#wrap').on('tap', '.mui-control-item', function() {
	if(this.getAttribute('href').indexOf('item4') != -1) {
		mui('#data')[0].style.display = 'block';
		mui('.coutConsume')[0].style.display = 'none';
		mui('#detailList')[0].style.display = 'none';
		mui('.item')[0].style.display = 'none';
	} else {
		mui('#data')[0].style.display = 'none';
		mui('.coutConsume')[0].style.display = 'block';
		mui('#detailList')[0].style.display = 'block';
		mui('.item')[0].style.display = 'block';
		if(this.getAttribute('href').indexOf('item1') != -1) {
			vm.weekFn();
		} else if(this.getAttribute('href').indexOf('item2') != -1) {
			vm.fifteenFn();
		} else if(this.getAttribute('href').indexOf('item3') != -1) {
			vm.monthFn();
		} else if(this.getAttribute('href').indexOf('item5') != -1) {
			vm.todayFn();
		}
	}
})

//开始时间
mui('#wrap').on('tap', '.startData', function() {
	var dtpicker = new mui.DtPicker({
		"type": "date",
		beginDate: new Date(2010, 0, 1),
		endDate: new Date(2200, 0, 1)
	})
	dtpicker.show(function(rs) {
		vm.startDate = rs.text;
		dtpicker.dispose();
	})
})

//结束时间   结束时间不能早于开始时间
mui('#wrap').on('tap', '.endData', function() {
	var dtpicker = new mui.DtPicker({
		"type": "date",
		beginDate: new Date(vm.startDate),
		endDate: new Date(2200, 0, 1)
	})
	dtpicker.show(function(rs) {
		vm.endDate = rs.text;
		dtpicker.dispose();
	})
})

//点击查询
mui('.mui-content').on('tap', '.search', function() {
	if(vm.startDate == '') {
		mui.alert('请选择开始时间', ' ');
		return false;
	} else if(vm.endDate == '') {
		mui.alert('请选择结束时间', ' ');
		return false;
	} else {
		vm.searchFn();
	}
})

//单数排序
mui('#cellTitle').on('tap', '.orderNum', function() {
	for(i = 0; i < vm.list.length - 1; i++) {
		for(j = 0; j < vm.list.length - i - 1; j++) {
			if(vm.list[j].A单数 < vm.list[j + 1].A单数) {
				var temp = vm.list[j];
				vm.$set(vm.list, j, vm.list[j + 1]);
				vm.$set(vm.list, j + 1, temp);
			}
		}
	}
})
//人数排序
mui('#cellTitle').on('tap', '.peoNum', function() {
	for(i = 0; i < vm.list.length - 1; i++) {
		for(j = 0; j < vm.list.length - i - 1; j++) {
			if(vm.list[j].A消费人数 < vm.list[j + 1].A消费人数) {
				var temp = vm.list[j];
				vm.$set(vm.list, j, vm.list[j + 1]);
				vm.$set(vm.list, j + 1, temp);
			}
		}
	}
})
//金额排序
mui('#cellTitle').on('tap', '.moneyNum', function() {
	for(i = 0; i < vm.list.length - 1; i++) {
		for(j = 0; j < vm.list.length - i - 1; j++) {
			if(vm.list[j].A实收 < vm.list[j + 1].A实收) {
				var temp = vm.list[j];
				vm.$set(vm.list, j, vm.list[j + 1]);
				vm.$set(vm.list, j + 1, temp);
			}
		}
	}
})

//点击日期
mui('#cellTitle').on('tap', '.date', function() {
	mui.each(mui('.mui-control-item'), function(index, item) {
		if(this.className.indexOf('mui-active') != -1) {
			if(this.getAttribute('href').indexOf('item1') != -1) {
				vm.weekFn();
			} else if(this.getAttribute('href').indexOf('item2') != -1) {
				vm.fifteenFn();
			} else if(this.getAttribute('href').indexOf('item3') != -1) {
				vm.monthFn();
			} else if(this.getAttribute('href').indexOf('item4') != -1) {
				vm.searchFn();
			} else if(this.getAttribute('href').indexOf('item5') != -1) {
				vm.todayFn();
			}
		}
	})
})