mui.init({
	swipeBack: true,
	gestureConfig: {
		pinch: true,
		doubletap: true
	}
});
//localStorage["qrkey"] = '2088051|052212075f282ce31c8be5e5fd1815c4';
var wrapEl = new Vue({
	el: '#index',
	data: {
		//图片数组
		imgArr: [],
		goodsMoney: '',
		goodsDanwei: '',
		goodsId: '',
		goodName: '',
		goodMemo: "",
		packList: [],

		deskName: '',
		billno: '', //桌子id
		bill_no: '', //订单号
		billid: '', //订单id

		classify: "", //类别
		list: '', //菜品列表
		listArr: [], //菜品列表(分组的)
		account: 0, //购物车总价格
		buyCarList: 0, //购物车列表
		selectList: '',
		itmeno: '',
		buyCarArr: {
			id: [],
			num: [],
			name: [],
			price: [],
			count: []
		}, //本地购物车数组
		index: 0,
		pPrice: '',
		pName: "",
		idString: '',
		numString: '',
		thisBuycar: '', //此单的购物车
		obj: {},
		orderList: [],
		searchValue: '',
		length_: 0 //购物车商品数
	},
	mounted: function() {
		this.getParameter();

		if(localStorage.getItem('bill_no')) {
			this.bill_no = localStorage.getItem('bill_no');
		}
		if(localStorage.getItem('deskid')) {
			this.billno = localStorage.getItem('deskid');
		}
		if(localStorage.getItem('billid')) {
			this.billid = localStorage.getItem('billid');
		}

		//		if(localStorage.getItem('op')) {
		//			mui('.searchDiv')[0].style.float = 'right';
		//			if(localStorage.getItem('deskname') != '' && localStorage.getItem('pnum') != '') {
		//				mui('#deskInfo')[0].innerText = localStorage.getItem('deskname') + ' /  ' + localStorage.getItem('pnum') + '人';
		//				mui('.deskName')[0].style.display = 'inline-block';
		//			}
		//
		//		} else {
		//			mui('.searchDiv')[0].style.width = '100%';
		//		}
		this.classList();
		this.listFn();
	},
	methods: {
		//初始化购物车
		initBuycar: function() {
			//初始化本地数据库字段
			this.account = 0;
			this.length_ = 0;
			if(!localStorage.getItem('buyCarList')) {
				localStorage.setItem('buyCarList', JSON.stringify({
					billno: [],
					child: []
				}));
			}
			this.buyCarList = JSON.parse(localStorage.getItem('buyCarList'));
			//拿到此订单id
			var billno = this.bill_no;
			billList = this.buyCarList.billno;
			//获取订单id的索引
			this.index = billList.indexOf(billno);
			//没有此订单
			if(this.index == -1) {
				this.buyCarList.billno.push(billno);
				this.buyCarList.child.push({
					id: [],
					num: [],
					name: [],
					price: [],
					count: []
				});
				this.index = this.buyCarList.billno.indexOf(billno);
				localStorage.setItem('buyCarList', JSON.stringify(this.buyCarList));
			}
			this.thisBuycar = this.buyCarList.child[this.index];
			//购物车总价
			var that = this;
			mui.each(that.buyCarList.child[that.index].count, function(index, item) {
				that.account += this;
				that.length_ += Number(that.buyCarList.child[that.index].num[index]);
			})
		},
		//查询桌台下的所有订单
		getOrders: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/deskbill?deskid=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if(data.code == '0000') {
						if(data.Body.list.length > 0) {
							that.orderList = data.Body.list[0];
							//桌台下有订单
							localStorage.setItem('bill_no', that.orderList.bill_no);
							localStorage.setItem('deskid', that.orderList.deskid);
							localStorage.setItem('billid', that.orderList.billid);
							mui.openWindow({
								url: 'consumeDetail.html',
								id: 'consumeDetail',
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						} else {
							//桌台下没订单   选择人数新建订单
							mui('.middlePopover').popover('show');
							mui('.mui-backdrop')[0].style.display = 'none';
							mui('.wrap2')[0].style.display = 'block';

						}
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.getOrders();
					}
				}
			});
		},
		//新建订单
		createOrder: function(num) {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/openstand?deskid=' + that.billno + '&count=' + num, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if(data.code == '0001') {
						mui.toast(data.msg);
						return;
					}
					that.billid = data.Body.billid;
					that.bill_no = data.Body.bill_no;
					mui.toast('请开始点餐吧');
					mui('.middlePopover').popover('hide');
					mui('.wrap2')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.createOrder();
					}
				}
			});
		},
		//获取参数
		getParameter: function() {
			var search = location.search,
				that = this;
			//			if(search == '' || search.indexOf('deskid') == -1) {
			//				that.billno = 'notLogin';
			//				that.bill_no = 'notLogin';
			//				that.initBuycar();
			//			} else {
			//				var obj = location.search.split('?')[1].split('&');
			//				mui.each(obj, function(index, item) {
			//					var key = item.split('=')[0],
			//						value = item.split('=')[1];
			//					localStorage.setItem(key, value);
			//					if(key == 'deskid') {
			//						that.billno = value; //桌台id
			//						that.getOrders(); //查询桌台下是否有订单
			//					}
			//				})
			//			}
			if(localStorage.getItem('deskid') == null) {
				that.billno = 'notLogin';
				that.bill_no = 'notLogin';
				that.initBuycar();
			} else {
				that.billno = localStorage.getItem('deskid'); //桌台id
				that.getOrders(); //查询桌台下是否有订单
			}
		},
		classList: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Vip02/ItemClass', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"]
				},
				success: function(data) {
					that.classify = data.Body.list;
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.classList();
					}
				}
			});
		},
		listFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Vip02/ClassItem', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"]
				},
				success: function(data) {
					that.list = data.Body.list;
					if(that.list.length == 0) {
						mui.alert('暂无菜品', ' ', function() {}, 'div');
						return false;
					}
					//					that.listArr = [];
					//					mui.each(that.classify, function(index1, item1) {
					//						var arr = {};
					//						arr.child = [];
					//						var id = item1.id;
					//
					//						mui.each(that.list, function(index2, item2) {
					//							if(id == item2.classid) {
					//								arr.child.push(item2);
					//							}
					//						})
					//						that.listArr.push(arr);
					//					})

				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		//添加到购物车
		addBuycar: function() {
			this.account = 0;
			this.length_ = 0;
			this.buyCarList = JSON.parse(localStorage.getItem('buyCarList'));
			var index = this.buyCarList.child[this.index].id.indexOf(this.itmeno);
			//购物车没有此菜品
			if(index == -1) {
				this.buyCarList.child[this.index].id.push(this.itmeno);
				this.buyCarList.child[this.index].num.push(1);
				this.buyCarList.child[this.index].name.push(this.pName);
				this.buyCarList.child[this.index].price.push(Number(this.pPrice)); //单价
				this.buyCarList.child[this.index].count.push(Number(this.pPrice)); //总价
			} else {
				//购物车里有此菜品   数量和总价更新
				this.buyCarList.child[this.index].num[index]++;
				this.buyCarList.child[this.index].count[index] += Number(this.buyCarList.child[this.index].price[index]);

			}
			localStorage.setItem('buyCarList', JSON.stringify(this.buyCarList));
			this.thisBuycar = this.buyCarList.child[this.index];
			var that = this;
			mui.each(that.buyCarList.child[that.index].count, function(index, item) {
				that.account += this;
				that.length_ += Number(that.buyCarList.child[that.index].num[index]);
			})
		},
		//减购物车商品
		subGoods: function() {
			this.account = 0;
			this.length_ = 0;
			this.buyCarList = JSON.parse(localStorage.getItem('buyCarList'));
			var index = this.buyCarList.child[this.index].id.indexOf(this.itmeno);
			this.buyCarList.child[this.index].num[index]--;
			this.buyCarList.child[this.index].count[index] -= this.buyCarList.child[this.index].price[index];
			if(this.buyCarList.child[this.index].num[index] == 0 || this.buyCarList.child[this.index].num[index] < 0) {
				//删除该菜品
				this.buyCarList.child[this.index].id.splice(index, 1);
				this.buyCarList.child[this.index].num.splice(index, 1);
				this.buyCarList.child[this.index].name.splice(index, 1);
				this.buyCarList.child[this.index].price.splice(index, 1);
				this.buyCarList.child[this.index].count.splice(index, 1);
			}
			localStorage.setItem('buyCarList', JSON.stringify(this.buyCarList));
			this.thisBuycar = this.buyCarList.child[this.index];
			var that = this;
			mui.each(that.buyCarList.child[that.index].count, function(index, item) {
				that.account += this;
				that.length_ += Number(that.buyCarList.child[that.index].num[index]);
			})
		},
		scrollFn: function() {
			var controlsElem = document.getElementById("segmentedControls");
			var contentsElem = document.getElementById("segmentedControlContents");
			var controlListElem = controlsElem.querySelectorAll('.mui-control-item');
			var contentListElem = contentsElem.querySelectorAll('.mui-control-content');
			var controlWrapperElem = controlsElem.parentNode;
			var controlWrapperHeight = controlWrapperElem.offsetHeight;
			var controlMaxScroll = controlWrapperElem.scrollHeight - controlWrapperHeight; //左侧类别最大可滚动高度
			var maxScroll = contentsElem.scrollHeight - contentsElem.offsetHeight; //右侧内容最大可滚动高度
			//			var controlHeight = controlListElem[0].offsetHeight; //左侧类别每一项的高度
			var controlHeight = 50;
			var controlTops = []; //存储control的scrollTop值
			var contentTops = [0]; //存储content的scrollTop值
			var length = contentListElem.length;
			for(var i = 0; i < length; i++) {
				controlTops.push(controlListElem[i].offsetTop + controlHeight);
			}
			for(var i = 1; i < length; i++) {
				var offsetTop = contentListElem[i].offsetTop;
				if(offsetTop + 100 >= maxScroll) {
					var height = Math.max(offsetTop + 100 - maxScroll, 100);
					var totalHeight = 0;
					var heights = [];
					for(var j = i; j < length; j++) {
						var offsetHeight = contentListElem[j].offsetHeight;
						totalHeight += offsetHeight;
						heights.push(totalHeight);
					}
					for(var m = 0, len = heights.length; m < len; m++) {
						contentTops.push(parseInt(maxScroll - (height - heights[m] / totalHeight * height)));
					}
					break;
				} else {
					contentTops.push(parseInt(offsetTop));
				}
			}
			contentsElem.addEventListener('scroll', function() {
				var scrollTop = contentsElem.scrollTop;
				for(var i = 0; i < length; i++) {
					var offsetTop = contentTops[i];
					var offset = Math.abs(offsetTop - scrollTop);
					if(scrollTop < offsetTop) {
						if(scrollTop >= maxScroll) {
							onScroll(length - 1);
						} else {
							onScroll(i - 1);
						}
						break;
					} else if(offset < 20) {
						onScroll(i);
						break;
					} else if(scrollTop >= maxScroll) {
						onScroll(length - 1);
						break;
					}
				}
			});
			var lastIndex = 0;
			//监听content滚动
			var onScroll = function(index) {
				if(lastIndex !== index) {
					lastIndex = index;
					var lastActiveElem = controlsElem.querySelector('.mui-active');
					lastActiveElem && (lastActiveElem.classList.remove('mui-active'));
					var currentElem = controlsElem.querySelector('.mui-control-item:nth-child(' + (index + 1) + ')');
					currentElem.classList.add('mui-active');
					//简单处理左侧分类滚动，要么滚动到底，要么滚动到顶
					var controlScrollTop = controlWrapperElem.scrollTop;
					if(controlScrollTop + controlWrapperHeight < controlTops[index]) {
						controlWrapperElem.scrollTop = controlMaxScroll;
					} else if(controlScrollTop > controlTops[index] - controlHeight) {
						controlWrapperElem.scrollTop = 0;
					}
				}
			};
			//滚动到指定content
			var scrollTo = function(index) {
				contentsElem.scrollTop = contentTops[index];
			};
			mui(controlsElem).on('tap', '.mui-control-item', function(e) {
				scrollTo(this.getAttribute('data-index'));
				return false;
			});
		},
		//查询套餐下的菜品
		selectFn: function() {
			var that = this,
				setMenu = mui('#setMenu')[0],
				wrap = mui('#wrap')[0];
			mui.ajax('http://dci.10le.cn/Vip02/packlist?itemid=' + that.itmeno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if(data != null && data.code == "0001") {
						return;
					}
					if(data == null || data.code != "0000" || data.Body == null) {
						return;
					}
					that.selectList = data.Body.items;
					wrap.style.display = 'block';
					setMenu.style.height = 'auto';
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						that.selectFn();
					}
				}
			});
		},
		//下单
		settlement: function(idString, numString) { //有桌台
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/Addbilldetail?billno=' + that.bill_no + '&itmeno=' + idString + '&num=' + numString + '&deskid=' + that.billno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					debugger
					if(data.code == '0001') {
						mui.alert(data.msg, ' ', function() {}, 'div');

						return false;
					} else {
						//删除该菜品
						wrapEl.buyCarList.child[wrapEl.index].id.length = 0;
						wrapEl.buyCarList.child[wrapEl.index].num.length = 0;
						wrapEl.buyCarList.child[wrapEl.index].name.length = 0;
						wrapEl.buyCarList.child[wrapEl.index].price.length = 0;
						wrapEl.buyCarList.child[wrapEl.index].count.length = 0;
						localStorage.setItem('buyCarList', JSON.stringify(wrapEl.buyCarList));
						if(localStorage.getItem('deskid')) {
							localStorage.setItem('deskid', localStorage.getItem('deskid'));
							localStorage.setItem('deskName', localStorage.getItem('deskName'));
						}
						mui.openWindow({
							url: 'consumeDetail.html',
							id: 'consumeDetail',
							createNew: true,
							styles: {
								cachemode: "noCache"
							}
						})
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if(status == 'timeout') {
						that.settlement();
					}
				}
			});
		}
	},
	updated: function() {

		this.scrollFn();
		var gallery = mui('.mui-slider');
		gallery.slider({
			interval: 0 //自动轮播周期，若为0则不自动播放，默认为0；
		});

	},
	watch: {
		length_: function() {
			var account = mui('#account')[0],
				haveGoods = mui('.haveGoods')[0],
				noGoods = mui('.noGoods')[0],
				buyCar = mui('.buyCar')[0],
				img = mui('.buyCar')[0].getElementsByTagName('img')[0],
				settlement = mui('.settlement')[0],
				wrap = mui('#wrap')[0],
				buyCarDetail = mui('#buyCarDetail')[0],
				that = this;
			if(this.length_ == 0) { //购物车无东西
				haveGoods.style.opacity = '0';
				noGoods.style.opacity = '1';
				buyCar.style.backgroundColor = '#474747';
				img.setAttribute('src', '../images/buyCar1.png');
				settlement.style.backgroundColor = '#6c6c6c';
				settlement.style.color = '#b5b5b5';
				buyCarDetail.classList.add('mui-hidden');
				buyCarDetail.classList.remove('mui-show');
				wrap.style.display = 'none';
			} else { //购物车有东西
				haveGoods.style.opacity = '1';
				noGoods.style.opacity = '0';
				buyCar.style.backgroundColor = '#3595fd';
				img.setAttribute('src', '../images/buyCar2.png');
				settlement.style.backgroundColor = '#33b888';
				settlement.style.color = 'white';
			}
		},
		bill_no: function() {
			this.initBuycar();
		},
		searchValue: function() {
			var that = this,
				lis = mui('#segmentedControlContents li'),
				parentEl = mui('#segmentedControlContents')[0],
				flag = 0;
			if(that.searchValue == '') {
				parentEl.scrollTop = 0;
				return;
			}
			mui.each(lis, function(index, item) {
				var code = this.getAttribute('code'),
					searchValue = that.searchValue.toUpperCase();

				if(code != null) {
					if(code.indexOf(searchValue) != -1) {
						flag++;
						var index = this.parentNode.parentNode.id;

						if(index == 0) {
							parentEl.scrollTop = this.offsetTop;
						} else {
							var top = 0;
							for(var i = 0; i < index; i++) {
								top += document.getElementById(i).offsetHeight;
							}
							parentEl.scrollTop = this.offsetTop + top;
						}

						return false;
					}
				}

				if(flag != 0) {
					return false;
				}
			})
			if(flag == 0) {
				mui.toast('抱歉，没有此菜品');
				parentEl.scrollTop = 0;
			}
		}
	}
});

var setMenu = mui('#setMenu')[0],
	wrap = mui('#wrap')[0];

mui('.mui-content').on('tap', '.add', function(e) {

	e.stopPropagation();
	if(this.getAttribute('itemno')) {
		//购物车下的add
		wrapEl.itmeno = this.getAttribute('itemno');
		mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1,1)";
		}, 100);
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
		}, 180);
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1,1)";
		}, 300);
		wrapEl.addBuycar();
	} else {
		//菜品下的add
		//查看剩余库存
		var nowQty = this.getAttribute('nowqty'),
			name = this.getAttribute('name');
		if(nowQty == '0') {
			mui.alert(name + '已售完', ' ', function() {}, 'div');
			return false;
		}

		wrapEl.itmeno = this.getAttribute('pid');
		wrapEl.pPrice = this.getAttribute('money');
		wrapEl.pName = name;
		if(this.getAttribute('isPack')) {
			var src = this.getAttribute('href'),
				mimg = mui('.mImg')[0];
			mimg.setAttribute('src', src);
			mui('.mname')[0].innerText = wrapEl.pName;
			mui('.money2')[0].innerText = wrapEl.pPrice;
			//查询套餐下的菜品
			wrapEl.selectFn();

		} else {
			mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1,1)";
			}, 100);
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
			}, 180);
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1,1)";
			}, 300);
			wrapEl.addBuycar();
		}
	}
});

//选好了
mui('#setMenu').on('tap', '.selectOk', function() {
	wrapEl.addBuycar();
	wrap.style.display = 'none';
	setMenu.style.height = '0px';
	mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 100);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
	}, 180);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 300);
})

mui('#setMenu').on('tap', '.closeBtn', function() {
	wrap.style.display = 'none';
	setMenu.style.height = '0px';
})
//购物车里的减
mui('.detail').on('tap', '.sub', function() {
	wrapEl.itmeno = this.getAttribute('itemno');
	wrapEl.pPrice = this.getAttribute('money');
	wrapEl.pName = this.getAttribute('name');
	wrapEl.subGoods();
	mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 100);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
	}, 180);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 300);

})
mui('#index').on('tap', '#wrap', function() {
	var buyCarDetail = mui('#buyCarDetail')[0],
		setMenu = mui('#setMenu')[0];
	this.style.display = 'none';
	buyCarDetail.classList.add('mui-hidden');
	buyCarDetail.classList.remove('mui-show');
	setMenu.style.height = '0px';

	mui('.goodDetail')[0].style.display = 'none';
})
var haveGoods = mui('.haveGoods')[0],
	wrap = mui('#wrap')[0],
	buyCarDetail = mui('#buyCarDetail')[0];

mui('#index').on('tap', '#goDetial', function() {
	if(haveGoods.style.opacity == '1') {
		if(buyCarDetail.getAttribute('class').indexOf('mui-hidden') == -1) {
			buyCarDetail.classList.add('mui-hidden');
			buyCarDetail.classList.remove('mui-show');
			wrap.style.display = 'none';
		} else {
			buyCarDetail.classList.remove('mui-hidden');
			buyCarDetail.classList.add('mui-show');
			wrap.style.display = 'block';
		}
	}

})

mui('#index').on('tap', '.closeBuycar', function() {
	buyCarDetail.classList.add('mui-hidden');
	buyCarDetail.classList.remove('mui-show');
	wrap.style.display = 'none';
})

//下单
mui('#index').on('tap', '.settlement', function() {
	if(wrapEl.account != 0) {
		localStorage.removeItem('address_no');
		localStorage.removeItem('addressInfo');
		if(localStorage.getItem('op')) { //详情页点餐
			wrapEl.billno = '';
			var idString = wrapEl.thisBuycar.id.join(','),
				numString = wrapEl.thisBuycar.num.join(',');
			wrapEl.settlement(idString, numString);
			localStorage.setItem('bill_no', wrapEl.bill_no);
			localStorage.setItem('billid', wrapEl.billid);
			return;
		}
		if(wrapEl.billno == 'notLogin') { //无桌台时
			localStorage.setItem('thisBuycar', JSON.stringify(wrapEl.thisBuycar));
			//删除该菜品
			wrapEl.buyCarList.child[wrapEl.index].id.length = 0;
			wrapEl.buyCarList.child[wrapEl.index].num.length = 0;
			wrapEl.buyCarList.child[wrapEl.index].name.length = 0;
			wrapEl.buyCarList.child[wrapEl.index].price.length = 0;
			wrapEl.buyCarList.child[wrapEl.index].count.length = 0;
			localStorage.setItem('buyCarList', JSON.stringify(wrapEl.buyCarList));
			mui.openWindow({
				url: 'eatStyle.html?eatStyle=' + wrapEl.billno,
				id: 'eatStyle',
				createNew: true,
				styles: {
					cachemode: "noCache"
				}
			})
		} else { //有桌台时
			var idString = wrapEl.thisBuycar.id.join(','),
				numString = wrapEl.thisBuycar.num.join(',');
			wrapEl.settlement(idString, numString);
			localStorage.setItem('bill_no', wrapEl.bill_no);
			localStorage.setItem('billid', wrapEl.billid);

		}
	}
})

//选择订单
//mui('#middlePopover').on('tap', '.cell', function() {
//	wrapEl.billid = this.getAttribute('billid');
//	wrapEl.bill_no = this.getAttribute('bill_no');
//	mui('#middlePopover').popover('hide');
//})

//点击头像
mui('body').on('tap', '#personal', function() {
	if(localStorage.getItem('UserAuthorizationSign2') != null) {
		mui.openWindow({
			url: 'main.html',
			id: 'main',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	} else {
		if(wrapEl.bill_no == 'notLogin') {
			mui.openWindow({
				url: 'login.html',
				id: 'login',
				createNew: true,
				styles: {
					cachemode: "noCache"
				}
			})
		} else {
			localStorage.setItem('bill_no', wrapEl.bill_no);
			localStorage.setItem('deskid', wrapEl.billno);
			localStorage.setItem('login', 'true');
			mui.openWindow({
				url: 'login.html',
				id: 'login',
				createNew: true,
				styles: {
					cachemode: "noCache"
				}
			})
		}
	}
})

//新建订单
mui('.middlePopover').on('tap', '#okBtn', function() {
	var num = Number(mui('.mui-numbox').numbox().getValue());
	if(num == 0 || num < 0) {
		mui.alert('请输入有效数字', ' ', function() {}, 'div');
		return false;
	}
	wrapEl.createOrder(num);

})

var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;
window.onresize = function() {
	//软键盘弹起与隐藏  都会引起窗口的高度发生变化
	var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight,
		bottom = mui('.bottom')[0];
	if(resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了
		bottom.style.display = 'none';
	} else {
		bottom.style.display = 'block';
	}
}


//菜品图片
var flag = 0;
mui('#index').on('tap', '.caipin', function() {
	mui('#searchIn')[0].blur();
	flag++;
	wrapEl.imgArr = [];
	wrapEl.goodsId = this.getAttribute('pid');
	wrapEl.goodsMoney = '';
	wrapEl.goodsDanwei = '';
	wrapEl.goodName = '';
	wrapEl.goodMemo = '';

	mui.each(wrapEl.list, function(index, item) {
		if(item.pid == wrapEl.goodsId) {
			wrapEl.imgArr = item.item_imgs;
		}
	})
	wrapEl.goodsMoney = this.getAttribute('money');
	wrapEl.goodsDanwei = this.getAttribute('dw');
	wrapEl.goodName = this.getAttribute('valname');
	wrapEl.goodMemo = this.getAttribute('memo');
	mui('.packText')[0].innerText = '';
	//是否是套餐
	if(this.getAttribute('isPack')) {
		mui.ajax('http://dci.10le.cn/Vip02/packlist?itemid=' + wrapEl.goodsId, {
			data: "",
			dataType: 'json',
			type: 'GET',
			timeout: 10000,
			headers: {
				'Content-Type': 'application/json',
				'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
				'qrkey': localStorage["qrkey"] || ''
			},
			success: function(data) {
				wrapEl.packList = data.Body.items;
				var html = '';
				mui.each(data.Body.items, function(index, item) {
					html += item.item_name + '*' + item.sort + '+';
				})
				html = html.substring(0, html.length - 1);
				mui('.packText')[0].innerText = html;
			},
			error: function(xhr, type, errorThrown) {
				mui.alert(errorThrown, ' ', function() {}, 'div');
			}
		});
	}

	mui('.goodDetail')[0].style.display = 'block';
	mui('.wrap')[0].style.display = 'block';
	if(wrapEl.imgArr.length == 0) {
		return false;
	}

	var gallery = mui('.mui-slider');
	gallery.slider({
		interval: 0 //自动轮播周期，若为0则不自动播放，默认为0；
	});

	if(flag == 1) {
		gallery.slider("gotoItem");
	} else {
		gallery.slider().gotoItem(0, 0);
	}
})

mui('.goodDetail').on('tap', '.mui-icon-close', function() {
	mui('.goodDetail')[0].style.display = 'none';
	mui('.wrap')[0].style.display = 'none';
	wrapEl.imgArr = [];
})
mui('#index').on('tap', '.wrap', function() {
	mui('.goodDetail')[0].style.display = 'none';
	mui('.wrap')[0].style.display = 'none';
})

mui('#index').on('tap', '.wrap2', function() {
	mui.toast('请选择就餐人数');
})