mui.init({
	swipeBack: true,
	gestureConfig: {
		pinch: true,
		doubletap: true
	}
});
// mui.plusReady(function() {
// 	// 获取支付通道 
// 	alert("uuid: " + plus.device.uuid);
// })

if (window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}
// 扩展API准备完成后要执行的操作
function plusReady() {
	alert("uuid: " + plus.device.uuid);
}



var wrapEl = new Vue({
	el: '#index',
	data: {
		uuid: '', //获取手机唯一标识
		loadFlag: 0,
		//图片数组
		imgArr: [],
		goodsMoney: '',
		goodsDanwei: '',
		goodsId: '',
		goodName: '',
		goodMemo: "",
		goodNum: '',
		packList: [],
		deskid: '', //桌子id
		bill_no: '', //订单号
		deskName: '',
		peoNum: '',

		classify: "", //类别
		list: '', //菜品列表
		listArr: [], //菜品列表(分组的)
		account: 0, //购物车总价格
		buyCarList: 0, //购物车列表
		selectList: '',
		itmeno: '',
		index: 0,
		pPrice: '',
		pName: "",
		idString: '',
		numString: '',
		thisBuycar: '', //此单的购物车
		obj: {},
		orderList: [],
		searchValue: '',
		length_: 0, //购物车商品数
		op: '',

		idArr: [],
		numArr: [],
		nameArr: [],
		priceArr: [],
		countArr: []

	},
	created: function() {
		var that = this;




		that.classList();
		that.listFn();
		if (localStorage.getItem('idArr') != null && localStorage.getItem('idArr') != '' && localStorage.getItem('deskid') ==
			null) {
			that.idArr = JSON.parse(localStorage.getItem('idArr'));
			that.numArr = JSON.parse(localStorage.getItem('numArr'));
			that.priceArr = JSON.parse(localStorage.getItem('priceArr'));
			that.countArr = JSON.parse(localStorage.getItem('countArr'));
			that.nameArr = JSON.parse(localStorage.getItem('nameArr'));
			mui.each(that.countArr, function(index, item) {
				that.account += this;
				that.length_ += Number(that.numArr[index]);
			})
		}
	
		if (localStorage.getItem('deskid') != null && localStorage.getItem('deskid') != '' && localStorage.getItem('op') ==
			null) {
			//有桌台id
			that.deskid = localStorage.getItem('deskid');
			localStorage.removeItem('isnet');
			//查询桌台下是否有订单
			that.getOrders();
		}
		if (localStorage.getItem('bill_no') != null && localStorage.getItem('bill_no') != '') {
			that.bill_no = localStorage.getItem('bill_no');
		}

		//从订单详情过来的
		if (localStorage.getItem('op') == 'dian') {
			that.op = localStorage.getItem('op');
			that.deskid = localStorage.getItem('deskid');
			that.getDeskinfo();
		}

		//再来一单
		if (localStorage.getItem('oneMore') == 'oneMore') {
			that.idArr = JSON.parse(localStorage.getItem('id'));
			that.numArr = JSON.parse(localStorage.getItem('num'));
			that.nameArr = JSON.parse(localStorage.getItem('name'));
			that.priceArr = JSON.parse(localStorage.getItem('price'));
			that.countArr = JSON.parse(localStorage.getItem('count'));
			//删除再来一单存储的数据
			localStorage.removeItem('id');
			localStorage.removeItem('num');
			localStorage.removeItem('name');
			localStorage.removeItem('price');
			localStorage.removeItem('count');
			localStorage.removeItem('oneMore');
			mui.each(that.countArr, function(index, item) {
				that.account += this;
				that.length_ += Number(that.numArr[index]);
			})
		}


	},
	mounted: function() {

	},
	methods: {
		//查询桌台下的所有订单
		getOrders: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/deskbill?deskid=' + that.deskid, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {
						if (data.Body.list.length > 0) {
							that.orderList = data.Body.list[0];
							//桌台下有订单
							localStorage.removeItem('deskid');
							localStorage.setItem('bill_no', that.orderList.bill_no);
							mui.openWindow({
								url: 'consumeDetail.html',
								id: 'consumeDetail',
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						} else {
							//桌台下没订单   选择人数新建订单
							mui('.middlePopover').popover('show');
							mui('.mui-backdrop')[0].style.display = 'none';
							mui('.wrap2')[0].style.display = 'block';
						}
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.getOrders();
					}
				}
			});
		},
		//获取桌台信息
		getDeskinfo: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/deskfirst?deskid=' + that.deskid, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {
						that.deskName = data.Body.desk_name;
						that.peoNum = data.Body.user_num;
						mui('.searchDiv')[0].style.width = '60%';
						mui('.deskName')[0].style.display = 'inline-block';
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getDeskinfo();
					}
				}
			});
		},
		//新建订单
		createOrder: function(num) {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/openstand?deskid=' + that.deskid + '&count=' + num, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0001') {
						mui.alert(data.msg, ' ', function() {}, 'div');
						return;
					}
					that.bill_no = data.Body.bill_no;
					that.getDeskinfo();
					mui.toast('请开始点餐吧');
					mui('.middlePopover').popover('hide');
					mui('.wrap2')[0].style.display = 'none';
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.createOrder();
					}
				}
			});
		},
		classList: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Vip02/ItemClass', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"]
				},
				success: function(data) {
					that.classify = data.Body.list;
					that.loadFlag++;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.classList();
					}
				}
			});
		},
		listFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/Vip02/ClassItem', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"]
				},
				success: function(data) {
					that.list = data.Body.list;
					that.loadFlag++;
					if (that.list.length == 0) {
						mui.alert('暂无菜品', ' ', function() {}, 'div');
						return false;
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.listFn();
					}
				}
			});
		},
		//添加到购物车
		addBuycar: function() {
			this.account = 0;
			this.length_ = 0;
			var index = this.idArr.indexOf(this.itmeno);
			//购物车没有此菜品
			if (index == -1) {
				this.idArr.push(this.itmeno);
				this.numArr.push(1);
				this.nameArr.push(this.pName);
				this.priceArr.push(Number(this.pPrice)); //单价
				this.countArr.push(Number(this.pPrice)); //总价
			} else {
				//购物车里有此菜品   数量和总价更新
				this.numArr[index]++;
				this.countArr[index] = Number(this.countArr[index]) + Number(this.priceArr[index]);
			}
			var that = this;
			mui.each(this.countArr, function(index, item) {
				that.account += this;
				that.length_ += Number(that.numArr[index]);
			})
		},
		//减购物车商品
		subGoods: function() {
			this.account = 0;
			this.length_ = 0;
			var index = this.idArr.indexOf(this.itmeno);
			this.numArr[index]--;
			this.countArr[index] -= this.priceArr[index];
			if (this.numArr[index] == 0 || this.numArr[index] < 0) {
				//删除该菜品
				this.idArr.splice(index, 1);
				this.numArr.splice(index, 1);
				this.nameArr.splice(index, 1);
				this.priceArr.splice(index, 1);
				this.countArr.splice(index, 1);
			}
			var that = this;
			mui.each(that.countArr, function(index, item) {
				that.account += this;
				that.length_ += Number(that.numArr[index]);
			})
		},
		scrollFn: function() {
			var controlsElem = document.getElementById("segmentedControls");
			var contentsElem = document.getElementById("segmentedControlContents");
			var controlListElem = controlsElem.querySelectorAll('.mui-control-item');
			var contentListElem = contentsElem.querySelectorAll('.mui-control-content');
			var controlWrapperElem = controlsElem.parentNode;
			var controlWrapperHeight = controlWrapperElem.offsetHeight;
			var controlMaxScroll = controlWrapperElem.scrollHeight - controlWrapperHeight; //左侧类别最大可滚动高度
			var maxScroll = contentsElem.scrollHeight - contentsElem.offsetHeight; //右侧内容最大可滚动高度
			//			var controlHeight = controlListElem[0].offsetHeight; //左侧类别每一项的高度
			var controlHeight = 50;
			var controlTops = []; //存储control的scrollTop值
			var contentTops = [0]; //存储content的scrollTop值
			var length = contentListElem.length;
			for (var i = 0; i < length; i++) {
				controlTops.push(controlListElem[i].offsetTop + controlHeight);
			}
			for (var i = 1; i < length; i++) {
				var offsetTop = contentListElem[i].offsetTop;
				if (offsetTop + 100 >= maxScroll) {
					var height = Math.max(offsetTop + 100 - maxScroll, 100);
					var totalHeight = 0;
					var heights = [];
					for (var j = i; j < length; j++) {
						var offsetHeight = contentListElem[j].offsetHeight;
						totalHeight += offsetHeight;
						heights.push(totalHeight);
					}
					for (var m = 0, len = heights.length; m < len; m++) {
						contentTops.push(parseInt(maxScroll - (height - heights[m] / totalHeight * height)));
					}
					break;
				} else {
					contentTops.push(parseInt(offsetTop));
				}
			}
			contentsElem.addEventListener('scroll', function() {
				var scrollTop = contentsElem.scrollTop;
				for (var i = 0; i < length; i++) {
					var offsetTop = contentTops[i];
					var offset = Math.abs(offsetTop - scrollTop);
					if (scrollTop < offsetTop) {
						if (scrollTop >= maxScroll) {
							onScroll(length - 1);
						} else {
							onScroll(i - 1);
						}
						break;
					} else if (offset < 20) {
						onScroll(i);
						break;
					} else if (scrollTop >= maxScroll) {
						onScroll(length - 1);
						break;
					}
				}
			});
			var lastIndex = 0;
			//监听content滚动
			var onScroll = function(index) {
				if (lastIndex !== index) {
					lastIndex = index;
					var lastActiveElem = controlsElem.querySelector('.mui-active');
					lastActiveElem && (lastActiveElem.classList.remove('mui-active'));
					var currentElem = controlsElem.querySelector('.mui-control-item:nth-child(' + (index + 1) + ')');
					currentElem.classList.add('mui-active');
					//简单处理左侧分类滚动，要么滚动到底，要么滚动到顶
					var controlScrollTop = controlWrapperElem.scrollTop;
					if (controlScrollTop + controlWrapperHeight < controlTops[index]) {
						controlWrapperElem.scrollTop = controlMaxScroll;
					} else if (controlScrollTop > controlTops[index] - controlHeight) {
						controlWrapperElem.scrollTop = 0;
					}
				}
			};
			//滚动到指定content
			var scrollTo = function(index) {
				contentsElem.scrollTop = contentTops[index];
			};
			mui(controlsElem).on('tap', '.mui-control-item', function(e) {
				scrollTo(this.getAttribute('data-index'));
				return false;
			});
		},
		//查询套餐下的菜品
		selectFn: function() {
			var that = this,
				setMenu = mui('#setMenu')[0],
				wrap = mui('#wrap')[0];
			mui.ajax('http://dci.10le.cn/Vip02/packlist?itemid=' + that.itmeno, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {
						that.selectList = data.Body.items;
						wrap.style.display = 'block';
						setMenu.style.height = 'auto';
					} else {
						mui.alert(data.msg, ' ', function() {}, 'div');
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.selectFn();
					}
				}
			});
		},
		//下单
		settlement: function(idString, numString) { //有桌台
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/Addbilldetail?billno=' + that.bill_no + '&itmeno=' + idString + '&num=' +
				numString + '&deskid=' + that.deskid, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000,
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
						'qrkey': localStorage["qrkey"] || ''
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.code == '0001') {
							mui.alert(data.msg, ' ', function() {}, 'div');
							return false;
						} else {
							mui.openWindow({
								url: 'consumeDetail.html',
								id: 'consumeDetail',
								createNew: true,
								styles: {
									cachemode: "noCache"
								}
							})
						}
					},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.settlement();
						}
					}
				});
		}
	},
	updated: function() {
		this.scrollFn();
		var gallery = mui('.mui-slider');
		gallery.slider({
			interval: 0 //自动轮播周期，若为0则不自动播放，默认为0；
		});
	},
	watch: {
		loadFlag: function() {
			if (this.loadFlag == 2) {
				mui('.loading')[0].style.display = 'none';
			}
		},
		length_: function() {
			var account = mui('#account')[0],
				haveGoods = mui('.haveGoods')[0],
				noGoods = mui('.noGoods')[0],
				buyCar = mui('.buyCar')[0],
				img = mui('.buyCar')[0].getElementsByTagName('img')[0],
				settlement = mui('.settlement')[0],
				wrap = mui('#wrap')[0],
				buyCarDetail = mui('#buyCarDetail')[0],
				that = this;
			if (this.length_ == 0) { //购物车无东西
				haveGoods.style.opacity = '0';
				noGoods.style.opacity = '1';
				buyCar.style.backgroundColor = '#474747';
				img.setAttribute('src', '../images/buyCar1.png');
				settlement.style.backgroundColor = '#6c6c6c';
				settlement.style.color = '#b5b5b5';
				buyCarDetail.classList.add('mui-hidden');
				buyCarDetail.classList.remove('mui-show');
				wrap.style.display = 'none';
			} else { //购物车有东西
				haveGoods.style.opacity = '1';
				noGoods.style.opacity = '0';
				buyCar.style.backgroundColor = '#3595fd';
				img.setAttribute('src', '../images/buyCar2.png');
				settlement.style.backgroundColor = '#33b888';
				settlement.style.color = 'white';
			}
		},
		searchValue: function() {
			var that = this,
				lis = mui('#segmentedControlContents li'),
				parentEl = mui('#segmentedControlContents')[0],
				flag = 0;
			if (that.searchValue == '') {
				parentEl.scrollTop = 0;
				return;
			}
			mui.each(lis, function(index, item) {
				var code = this.getAttribute('code'),
					searchValue = that.searchValue.toUpperCase();

				if (code != null) {
					if (code.indexOf(searchValue) != -1) {
						flag++;
						var index = this.parentNode.parentNode.id;

						if (index == 0) {
							parentEl.scrollTop = this.offsetTop;
						} else {
							var top = 0;
							for (var i = 0; i < index; i++) {
								top += document.getElementById(i).offsetHeight;
							}
							parentEl.scrollTop = this.offsetTop + top;
						}
						return false;
					}
				}
				if (flag != 0) {
					return false;
				}
			})
			if (flag == 0) {
				mui.toast('抱歉，没有此菜品');
				parentEl.scrollTop = 0;
			}
		},

	}
});

var setMenu = mui('#setMenu')[0],
	wrap = mui('#wrap')[0];

mui('.mui-content').on('tap', '.add', function(e) {
	e.stopPropagation();
	if (this.getAttribute('itemno')) {
		//购物车下的add
		wrapEl.itmeno = this.getAttribute('itemno');
		mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1,1)";
		}, 100);
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
		}, 180);
		mui.later(function() {
			mui('.buyCar')[0].style.transform = "scale(1,1)";
		}, 300);
		wrapEl.addBuycar();
	} else {
		//菜品下的add
		//查看剩余库存
		var nowQty = this.getAttribute('nowqty'),
			name = this.getAttribute('name');
		if (nowQty == '0') {
			mui.alert(name + '已售完', ' ', function() {}, 'div');
			return false;
		}
		wrapEl.itmeno = this.getAttribute('pid');
		wrapEl.pPrice = this.getAttribute('money');
		wrapEl.pName = name;
		if (this.getAttribute('isPack')) {
			var src = this.getAttribute('href'),
				mimg = mui('.mImg')[0];
			mimg.setAttribute('src', src);
			mui('.mname')[0].innerText = wrapEl.pName;
			mui('.money2')[0].innerText = wrapEl.pPrice;
			//查询套餐下的菜品
			wrapEl.selectFn();
		} else {
			mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1,1)";
			}, 100);
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
			}, 180);
			mui.later(function() {
				mui('.buyCar')[0].style.transform = "scale(1,1)";
			}, 300);
			wrapEl.addBuycar();
		}
	}
});

//选好了
mui('#setMenu').on('tap', '.selectOk', function() {
	wrapEl.addBuycar();
	wrap.style.display = 'none';
	setMenu.style.height = '0px';
	mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 100);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
	}, 180);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 300);
})

mui('#setMenu').on('tap', '.closeBtn', function() {
	wrap.style.display = 'none';
	setMenu.style.height = '0px';
})
//购物车里的减
mui('.detail').on('tap', '.sub', function() {
	wrapEl.itmeno = this.getAttribute('itemno');
	wrapEl.pPrice = this.getAttribute('money');
	wrapEl.pName = this.getAttribute('name');
	wrapEl.subGoods();
	mui('.buyCar')[0].style.transform = "scale(1.1,1.1)";
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 100);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1.15,1.15)";
	}, 180);
	mui.later(function() {
		mui('.buyCar')[0].style.transform = "scale(1,1)";
	}, 300);

})
mui('#index').on('tap', '#wrap', function() {
	var buyCarDetail = mui('#buyCarDetail')[0],
		setMenu = mui('#setMenu')[0];
	this.style.display = 'none';
	buyCarDetail.classList.add('mui-hidden');
	buyCarDetail.classList.remove('mui-show');
	setMenu.style.height = '0px';
	mui('.goodDetail')[0].style.display = 'none';
})
var haveGoods = mui('.haveGoods')[0],
	wrap = mui('#wrap')[0],
	buyCarDetail = mui('#buyCarDetail')[0];

mui('#index').on('tap', '#goDetial', function() {
	if (haveGoods.style.opacity == '1') {
		if (buyCarDetail.getAttribute('class').indexOf('mui-hidden') == -1) {
			buyCarDetail.classList.add('mui-hidden');
			buyCarDetail.classList.remove('mui-show');
			wrap.style.display = 'none';
		} else {
			buyCarDetail.classList.remove('mui-hidden');
			buyCarDetail.classList.add('mui-show');
			wrap.style.display = 'block';
		}
	}

})

mui('#index').on('tap', '.closeBuycar', function() {
	buyCarDetail.classList.add('mui-hidden');
	buyCarDetail.classList.remove('mui-show');
	wrap.style.display = 'none';
})

//下单
mui('#index').on('tap', '.settlement', function() {

	if (wrapEl.account != 0) {
		localStorage.removeItem('address_no');
		localStorage.removeItem('addressInfo');
		if (localStorage.getItem('op') != null) { //详情页点餐
			var idString = wrapEl.idArr.join(','),
				numString = wrapEl.numArr.join(',');
			wrapEl.settlement(idString, numString);
			localStorage.setItem('bill_no', wrapEl.bill_no);
			return false;
		}
		if (wrapEl.deskid == '') { //无桌台时
			localStorage.setItem('idArr', JSON.stringify(wrapEl.idArr));
			localStorage.setItem('numArr', JSON.stringify(wrapEl.numArr));
			localStorage.setItem('nameArr', JSON.stringify(wrapEl.nameArr));
			localStorage.setItem('countArr', JSON.stringify(wrapEl.countArr));
			localStorage.setItem('priceArr', JSON.stringify(wrapEl.priceArr));
			mui.openWindow({
				url: 'eatStyle.html',
				id: 'eatStyle',
				createNew: true,
				styles: {
					cachemode: "noCache"
				}
			})
		} else { //有桌台时
			var idString = wrapEl.idArr.join(','),
				numString = wrapEl.numArr.join(',');
			wrapEl.settlement(idString, numString);
			localStorage.setItem('bill_no', wrapEl.bill_no);
		}
	}
})

//点击头像
mui('body').on('tap', '#personal', function() {
	localStorage.removeItem('id');
	localStorage.removeItem('num');
	localStorage.removeItem('name');
	localStorage.removeItem('price');
	localStorage.removeItem('count');

	localStorage.removeItem('deskid');
	localStorage.removeItem('bill_no');
	localStorage.removeItem('op');

	if (localStorage.getItem('UserAuthorizationSign2') != null) {
		mui.openWindow({
			url: 'main.html',
			id: 'main',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	} else {
		mui.openWindow({
			url: 'login.html',
			id: 'login',
			createNew: true,
			styles: {
				cachemode: "noCache"
			}
		})
	}
})

//新建订单
mui('.middlePopover').on('tap', '#okBtn', function() {
	var num = Number(mui('.mui-numbox').numbox().getValue());
	if (num == 0 || num < 0) {
		mui.alert('请输入有效数字', ' ', function() {}, 'div');
		return false;
	}
	wrapEl.createOrder(num);
})
mui('.middlePopover').on('tap', '#cancel', function() {
	mui('.middlePopover').popover('hide');
	mui('.wrap2')[0].style.display = 'none';
	wrapEl.deskid = '';

	localStorage.removeItem('deskid');
})
var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;
window.onresize = function() {
	//软键盘弹起与隐藏  都会引起窗口的高度发生变化
	var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight,
		bottom = mui('.bottom')[0];
	if (resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了
		bottom.style.display = 'none';
	} else {
		bottom.style.display = 'block';
	}
}

//退出程序
var first = null;
mui.back = function() {
	if (!first) {
		first = new Date().getTime();
		mui.toast('再按一次退出应用');
		setTimeout(function() {
			first = null;
		}, 2000);
	} else {
		if (new Date().getTime() - first < 2000) {
			localStorage.clear();
			plus.runtime.quit();
		}
	}
};

//菜品图片
var flag = 0;
mui('#index').on('tap', '.caipin', function() {
	mui('#searchIn')[0].blur();
	flag++;
	wrapEl.goodsId = this.getAttribute('pid');
	mui.each(wrapEl.list, function(index, item) {
		if (item.pid == wrapEl.goodsId) {
			wrapEl.imgArr = item.item_imgs;
		}
	})
	wrapEl.goodsMoney = this.getAttribute('money');
	wrapEl.goodsDanwei = this.getAttribute('dw');
	wrapEl.goodName = this.getAttribute('valname');
	wrapEl.goodNum = this.getAttribute('nowqty');
	wrapEl.goodMemo = this.getAttribute('memo');
	mui('.packText')[0].innerText = '';
	//是否是套餐
	if (this.getAttribute('isPack')) {
		mui.ajax('http://dci.10le.cn/Vip02/packlist?itemid=' + wrapEl.goodsId, {
			data: "",
			dataType: 'json',
			type: 'GET',
			timeout: 10000,
			headers: {
				'Content-Type': 'application/json',
				'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
				'qrkey': localStorage["qrkey"] || ''
			},
			success: function(data) {
				wrapEl.packList = data.Body.items;
				var html = '';
				mui.each(data.Body.items, function(index, item) {
					html += item.item_name + '*' + item.sort + '+';
				})
				html = html.substring(0, html.length - 1);
				mui('.packText')[0].innerText = html;
			},
			error: function(xhr, type, errorThrown) {
				mui.alert(errorThrown, ' ', function() {}, 'div');
			}
		});
	}

	mui('.goodDetail')[0].style.display = 'block';
	mui('.wrap')[0].style.display = 'block';
	if (wrapEl.imgArr.length == 0) {
		return false;
	}

	var gallery = mui('.mui-slider');
	gallery.slider({
		interval: 0 //自动轮播周期，若为0则不自动播放，默认为0；
	});

	if (flag == 1) {
		gallery.slider("gotoItem");
	} else {
		gallery.slider().gotoItem(0, 0);
	}
})

mui('.goodDetail').on('tap', '.mui-icon-close', function() {
	mui('.goodDetail')[0].style.display = 'none';
	mui('.wrap')[0].style.display = 'none';
	wrapEl.imgArr = [];
	wrapEl.goodsMoney = '';
	wrapEl.goodsDanwei = '';
	wrapEl.goodName = '';
	wrapEl.goodMemo = '';
})
mui('#index').on('tap', '.wrap', function() {
	mui('.goodDetail')[0].style.display = 'none';
	mui('.wrap')[0].style.display = 'none';
	wrapEl.imgArr = [];
	wrapEl.goodsMoney = '';
	wrapEl.goodsDanwei = '';
	wrapEl.goodName = '';
	wrapEl.goodMemo = '';
})

// mui('#index').on('tap', '.wrap2', function() {
// 	mui.toast('请选择就餐人数');
// })
