mui.init();
var vm = new Vue({
	el: '#wrap',
	data: {
		UserAuthor: localStorage.getItem('UserAuthorizationSign2'),
		bill_no: '',
		deskid: '',
		yue: '0', //余额
		payStyle: '',
		info: '', //订单信息
		isnet: '',
		yyhb_amt: 0,//已用的红包金额
		money: '',
		myCoupon1: [], //可用优惠券
		myCoupon2: [], //可用优惠券
		couponId: '',
		couponText: '不使用优惠券',
		couponMoney: '',
		flag: 0,
		billtype: '',
		canMoney: '',
		date: new Date().toLocaleDateString(),
		nowTimestamp: ''
	},
	created: function() {
		var that = this,
			obj = location.search.split('?')[1];
		that.nowTimestamp = new Date(that.date + ' 00:00:00').getTime();
		if (obj.indexOf('&') != -1) {
			that.bill_no = obj.split('&')[0].split('=')[1];
		} else {
			that.bill_no = obj.split('=')[1];
		}


		if (location.search.indexOf('isnet') != -1) {
			that.isnet = true;
			that.getnetBillFn();
		} else {
			that.isnet = false;
			that.getBillFn();
		}

		if (this.UserAuthor != '' && this.UserAuthor != null) {
			mui('.youhui')[0].style.display = 'block';
			this.myCouponfn2();
		}

	},
	methods: {
		//获取订单信息
		getBillFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/GetDetailsNos?billno=' + that.bill_no, {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				async: false,
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					if (data.code == '0000') {
					    that.info = data.Body.order;

						that.canMoney = that.info.no_num_yen;
						that.billtype = that.info.bill_type;
						that.yyhb_amt = that.info.yyhb_amt;

						mui('#next')[0].innerHTML = '结账（￥' + that.info.no_num_yen + '）';

						mui('.info')[0].style.display = "block";
					} else {
						mui.alert(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.getBillFn();
					}
				}
			});
		},
		getnetBillFn: function() {
			var that = this;
			mui.ajax('http://dci.10le.cn/VipPart/GetDetailsNos?billno=' + that.bill_no + '&isnet=1', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"] || '',
					'qrkey': localStorage["qrkey"] || ''
				},
				async: false,
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {

					if (data.code == '0000') {
						that.info = data.Body.order;
						that.canMoney = data.Body.order.no_num_yen;
						that.billtype = that.info.bill_type;

						mui('#next')[0].innerHTML = '结账（￥' + that.info.no_num_yen + '）';

						mui('.info')[0].style.display = "block";
					} else {
						mui.alert(data.msg);
					}

				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
					if (status == 'timeout') {
						that.getBillFn();
					}
				}
			});
		},
		myCouponfn2: function() {
			var that = this;
			mui.ajax('http://dc.10le.cn/catering/stamp_api_vip.aspx?cmd=012', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
					'qrkey': localStorage["qrkey"] || ''
				},
				success: function(data) {
					if (data.code == '0000') {
						// 判断优惠券是否过期		 对优惠券进行筛选
						// 判断优惠券是否是满多少   对优惠券进行筛选

						mui.each(data.Body.list, function(index, item) {
							item.stamp_end_date = item.stamp_end_date.split(' ')[0];
// 							if (item.stamp_end_date == '') {
// 								that.myCoupon2.push(item);
// 							} else {
// 								var startTimestamp = new Date(item.stamp_start_date + ' 00:00:00').getTime();
// 								var endTimestamp = new Date(item.stamp_end_date + ' 00:00:00').getTime();
// 
// 								if (endTimestamp >= that.nowTimestamp && startTimestamp <= that.nowTimestamp) {
// 									console.log(item);
									if (item.order_amt != 0 && item.order_amt != '' && item.order_amt <= that.info.no_num_yen) {
										that.myCoupon2.push(item);
									} else if (item.order_amt == 0 || item.order_amt == '') {
										that.myCoupon2.push(item);
									}
								// }
							// }
						})
						that.flag++;
					} else {
						mui.toast(data.msg);
					}
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.myCouponfn2();
					}
				}
			});
		},
		yueFn: function(type) {
			var that = this;
			mui.ajax('http://dci.10le.cn/vipphone/AccountPay?billno=' + that.bill_no + '&stampid=' + that.couponId +
				'&billtype=' + type, {
					data: "",
					dataType: 'json',
					type: 'GET',
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Content-Type': 'application/json',
						'UserAuthorizationSign2': localStorage["UserAuthorizationSign2"],
						'qrkey': localStorage["qrkey"] || ''
					},
					beforeSend: function() {
						mui('#warning')[0].style.display = 'block';
					},
					success: function(data) {
						if (data.code == '0000') {
							mui.toast('支付成功');
							mui.later(function() {
								mui.openWindow({
									url: 'redEnve.html?billno=' + that.bill_no + '&billtype=' + type,
									id: 'redEnve',
									createNew: true,
									styles: {
										cachemode: "noCache"
									}
								})
							}, 500)
						} else {
							mui.toast(data.msg);
						}
					},
					complete: function(XMLHttpRequest, status) {
						mui('#warning')[0].style.display = 'none';
						if (status == 'timeout') {
							that.yueFn();
						}
					}
				});
		}
	}
})
// 绑定会员
mui('#wrap').on('tap', '.noBind', function() {
	localStorage.setItem('isnet', vm.isnet);
	localStorage.setItem('bill_no', vm.bill_no);
	localStorage.setItem('deskid', vm.deskid);
	localStorage.setItem('login', 'jiezhang');
	mui.openWindow({
		url: 'login.html',
		id: 'login',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
mui('#wrap').on('tap', '.youhui', function() {
	mui('.middlePopover').popover('show');

	mui.each(mui('.myRadio'), function(index, item) {
		if (item.getAttribute('itemid') == vm.couponId) {
			item.setAttribute('checked', 'checked');
		}
	})

	mui('.wrapper2').scroll().scrollTo(0, 0, 10);
	mui('.youList')[0].style.height = mui('.middlePopover ')[0].offsetHeight - mui('.finish ')[0].offsetHeight - 60 +
		'px';
	mui('.wrapper2')[0].style.height = mui('.middlePopover ')[0].offsetHeight - mui('.finish ')[0].offsetHeight - 60 +
		'px';
})
mui('.middlePopover').on('tap', '.closeY', function() {
	mui('.middlePopover').popover('hide');
})

mui('#wrap').on('tap', '.radio', function() {
	vm.payStyle = this.getAttribute('payStyle');
})
mui('.youList').on('tap', '.youhui1', function() {
	vm.couponText = '减' + this.getAttribute('money') + '元';
	vm.couponMoney = Number(this.getAttribute('money'));
	vm.couponId = Number(this.getAttribute('itemid'));
	if (vm.couponId == '') {
		mui('#next')[0].innerHTML = '结账（￥' + vm.info.no_num_yen + '）';
	} else {
		if (Number(vm.info.no_num_yen) <= Number(vm.couponMoney)) {
			mui('#next')[0].innerHTML = '结账（￥0）元';
		} else {
			var money = Number(Number(vm.info.no_num_yen) - Number(vm.couponMoney) + vm.yyhb_amt ).toFixed(2);
			mui('#next')[0].innerHTML = '结账（￥' + money + '）';
		}
	}
})
mui('.youList').on('tap', '.noyouhui', function() {
	vm.couponText = this.getAttribute('money');
	vm.couponMoney = 0;
	vm.couponId = this.getAttribute('itemid');
	if (vm.couponId == '') {
		mui('#next')[0].innerHTML = '结账（￥' + vm.info.no_num_yen + '）';
	} else {
		if (Number(vm.info.no_num_yen) <= Number(vm.couponMoney)) {
			mui('#next')[0].innerHTML = '结账（￥0）元';
		} else {
		    var money = Number(Number(vm.info.no_num_yen) - Number(vm.couponMoney) + vm.yyhb_amt).toFixed(2);
			mui('#next')[0].innerHTML = '结账（￥' + money + '）';
		}
	}
})
mui('.middlePopover').on('tap', '.finish', function() {
	mui('.middlePopover').popover('hide');
})
// 订单详情
mui('.btnGroup').on('tap', '.orderDetail', function() {
	mui.openWindow({
		url: 'consumeDetail.html',
		id: 'consumeDetail',
		createNew: true,
		styles: {
			cachemode: "noCache"
		}
	})
})
//确定结账
mui('#wrap').on('tap', '#next', function() {
	document.activeElement.blur();
	localStorage.removeItem('idArr');
	localStorage.removeItem('numArr');
	localStorage.removeItem('nameArr');
	localStorage.removeItem('countArr');
	localStorage.removeItem('priceArr');
	localStorage.removeItem('addressInfo');
	localStorage.removeItem('address_no');
	localStorage.removeItem('selAddress');
	var type = '';
	if (vm.billtype == '堂食') {
		type = 1;
	} else if (vm.billtype == '外卖') {
		type = 'E2';
	} else if (vm.billtype == '预订') {
		type = 'E6';
	}
	if (vm.payStyle == '') {
		mui.toast('请选择支付方式');
		return;
	}
	var success = 'http://dc.10le.cn/m/vip/redEnve.html?billno=' + vm.bill_no + '&billtype=' + type,
		fail = 'http://dc.10le.cn/m/vip/consumeDetail.html';

	var successUrl = encodeURIComponent(success),
		failUrl = encodeURIComponent(fail);
	if (vm.payStyle == 'wxpay') {
		if (vm.isnet == true) {
			// 网络订单
			mui.openWindow({
				url: 'http://dc.10le.cn/store/pay_cyrus_gw.aspx?billid=' + vm.bill_no + '&qrkey=' + localStorage["qrkey"] +
					'&p7=37&isnet=1&stampid=' + vm.couponId + '&billtype=' + type + '&vipsign=' + vm.UserAuthor + '&backUrl=' +
					successUrl + '&failUrl=' + failUrl
			})
		} else {

			mui.openWindow({
				url: 'http://dc.10le.cn/store/pay_cyrus_gw.aspx?billid=' + vm.bill_no + '&qrkey=' + localStorage["qrkey"] +
					'&p7=37&stampid=' + vm.couponId + '&billtype=' + type + '&vipsign=' + vm.UserAuthor + '&backUrl=' + successUrl +'&failUrl=' + failUrl
			})
		}
	}
	if (vm.payStyle == 'alipay') {
		if (vm.isnet == true) {
			mui.openWindow({
				url: 'http://dc.10le.cn/store/pay_cyrus_gw.aspx?billid=' + vm.bill_no + '&qrkey=' + localStorage["qrkey"] +
					'&p7=36&isnet=1&stampid=' + vm.couponId + '&billtype=' + type + '&vipsign=' + vm.UserAuthor + '&backUrl=' +
					successUrl + '&failUrl=' + failUrl
			})
		} else {
			mui.openWindow({
				url: 'http://dc.10le.cn/store/pay_cyrus_gw.aspx?billid=' + vm.bill_no + '&qrkey=' + localStorage["qrkey"] +'&p7=36&stampid=' + vm.couponId + '&billtype=' + type + '&vipsign=' + vm.UserAuthor + '&backUrl=' + successUrl +'&failUrl=' + failUrl
			})
		}
	}
	if (vm.payStyle == 'yue') {
		vm.yueFn(type);
	}
})
